How to upgrade to Linux Mint 20.1

It is now possible to upgrade Linux Mint 20 to version 20.1.

If you’ve been waiting for this we’d like to thank you for your patience.

1. Create a system snapshot

You can use Timeshift to make a system snapshot before the upgrade.

If anything goes wrong, you can easily restore your operating system to its previous state.

Launch Timeshift from the application menu, follow the instructions on the screen to configure it and create a system snapshot.

2. Prepare for the upgrade

  • Disable your screensaver
  • If you installed Cinnamon spices (applets, desklets, extensions, themes), upgrade them from the System Settings

3. Upgrade the operating system

Upgrading to Linux Mint 20.1 is relatively easy.

In the Update Manager, click on the Refresh button to check for any new version of mintupdate or mint-upgrade-info. If there are updates for these packages, apply them.

Launch the System Upgrade by clicking on “Edit->Upgrade to Linux Mint 20.1 Ulyssa”.

Follow the instructions on the screen.

If asked whether to keep or replace configuration files, choose to replace them.

4. Convert the system with usrmerge

We recommend you convert your system with usrmerge. This is done already for all fresh installations of Linux Mint 20.1.

For information on usrmerge, read https://www.freedesktop.org/wiki/Software/systemd/TheCaseForTheUsrMerge/.

To convert your system, open a terminal and type:

5. Reboot the computer

Once the upgrade is finished, reboot your computer.

Commonly asked questions

  • If the upgrade is not available to you, check that you have the latest versions of mintupdate (5.7.3 or higher) and mint-upgrade-info (1.1.7 or higher) and restart the Update Manager by launching it again from the applications menu.
  • If the latest versions of mintupdate and mint-upgrade-info are not yet available in your mirrors, switch to the default repositories.
  • This happens rarely, but if you ever got locked and were unable to log back in, switch to console with CTRL+ALT+F1, log in, and type “killall cinnamon-screensaver” (or “killall mate-screensaver” in MATE). Use CTRL+ALT+F7 or CTRL+ALT+F8 to get back to your session.

407 comments

    1. bonjour comment recevoir la methode officiel je sui toujour sur linux mint 19.3 et aucune mise a jour

  1. Thank you very much for the update.
    You and your team did a great work!

    Best wishes to you and your team for this year!

  2. Thank you very much! I love being able to update my system in a graphical way. I hope this will be an option when switching from Mint 20.3 to Mint 21. This would be very user friendly.

  3. Awesome, worked without any problems – thanks, Clem and team!

    Does usrmerge need to stay installed after the FS conversion and reboot, or can I uninstall it in Synaptic?

    1. Can you please advise the code to type in the terminal to remove usrmerge after the FS conversion and reboot? Thank you

    2. @Óvári, from the terminal, “sudo apt remove usrmerge” will uninstall the package. Optionally, after it is removed, running “sudo apt autoremove” will remove any remaining orphaned dependencies.

  4. Thanks for the update, although I am still not getting the new version of the update manager even after a GUI refresh or apt-get update. Does it perhaps take some time for the new packages to propagate through the repository CDN?

    ~ ▸ apt-get update
    // …
    ~ ▸ apt-cache policy mintupdate mint-upgrade-info
    mintupdate:
    Installed: 5.6.9
    Candidate: 5.6.9
    Version table:
    *** 5.6.9 500
    500 http://mirrors.evowise.com/linuxmint/packages ulyana/main amd64 Packages
    500 http://mirrors.evowise.com/linuxmint/packages ulyana/main i386 Packages
    100 /var/lib/dpkg/status
    mint-upgrade-info:
    Installed: 1.1.6
    Candidate: 1.1.6
    Version table:
    *** 1.1.6 500
    500 http://mirrors.evowise.com/linuxmint/packages ulyana/main amd64 Packages
    500 http://mirrors.evowise.com/linuxmint/packages ulyana/main i386 Packages
    100 /var/lib/dpkg/status

    1. Yes, mirrors need to sync. Some of them might sync in a matter of hours, some in a matter of days (up to 48h).

    2. That’s what I thought. I guess patience is a virtue. 🙂
      Thanks for the good work and the blazing fast reply!

    3. I had to switch to the default mirror (I’m in the UK and switched to US mirror). Once I did this Update Manager updated and the new release appeared. Installed OK with kernel version 5.8.19 and NVIDIA driver 450.102.04.

      Update looks good.

    4. I was having the same issue with EvoWise mirrors, it was still not on there yet as of this morning. They also gave an incorrect file size error.

      Seeing as I’ve had problems with them before (including bad signature errors) I switched to a local mirror. The upgrade was found and everything worked perfectly. I will not be using EvoWise again – it’s tempting because they’re always the fastest, but they’re a nearly constant source of trouble for me.

  5. Hey Clem,
    is it possible to upgrade without using timeshift? you know, if i already have a backup solution that fits my needs i don’t need timeshift, and for that matter i don’t want to have the timeshift backup being mandatory

    1. You don’t need to do the timeshift step (I skipped it), but it’s ALWAYS recommended to have a full backup before applying and system updates.

    1. Can somebody here tell me is it possible to install Mint on a computer which had windows 10 on it ? I am an old Linux Man but a while back !!! Do I need to download a linux tool or ???

    1. Hi Simon,

      Try to run it from terminal “webapp-manager” and launch the web-app from there. Hopefully we’ll see an error message.

      Alternatively you can look inside the .desktop file created in ~/.local/share/applications, find what it is being run (on the “Exec=” line) and run that directly in a terminal.

  6. Hi Clem

    I was going to ask if we needed to run usrmerge, after installing it
    … but the process of installing, causes the utiltity to run and do the necessary.
    … then a quick reboot afterwards

    all OK … and running well …

    Thx so much for all the work you and the team put into Linux Mint
    … been using it since version 6 !

  7. Wow! That was fast. Upgraded my desktop machine in under 5 minutes. No problems at all.
    Many thanks Clem and team.

  8. How to do the upgrade correctly from command line? Are there any other actions in addition to repository switching – update – upgrade ?

    1. I have LM 19.3 and wanted to avoid upgrading to LM 20 so I tried like this (it works fine in Debian)”

      sudo apt-get update
      next
      sudo apt-get upgrade (nothing to upgrade)
      next
      sudo apt-get dist-upgrade (nothing to upgrade)
      :((

    2. Jurek,
      first you need to switch repositories to the new version. In case of 19.3 to 20.1, this would be
      sudo sed -i ‘s/ulyana/ulyssa/g’ /etc/apt/sources.list.d/official-package-repositories.list
      sudo sed -i ‘s/bionic/focal/g’ /etc/apt/sources.list.d/official-package-repositories.list
      and then apt update and apt upgrade. But this is actually a risky way. If something goes wrong, e.g. two apps require incompatible versions of the same library at some intermediate stage, the result can hardly be predicted and you’ll spent plenty of time restoring your system.
      That is why Mint team prepares special migration scripts and procedures each time, to solve any known conflicts. And that is why it is done only for sequential version-to-version upgrades, without skipping any one – is would take too much work to test and write them for all any-to-the-newest transitions. And that is what I am asking about: are there any other specific steps in the given case, for this particular minor-to-minor upgrade?
      This is especially important for upgrade to the new basic version, e.g. 19.x to 20.x, as it far more likely to involve drastic discrepancies. Even if you try jumping directly to 20.1, you need to do the checks and downgrades included in 20.0 procedure. Chances are greater on pretty plain software installations, with more or less standard hardware (e.g. not requiring proprietary drivers), migration within the same basic version, from one minor to another. But anyways the result cannot be guaranteed. It will be entirely in your responsibility to loose this installation at all.
      You may try it on your own risk, of course, on an installation which you can dispose of, in case of failure, completely, with no regret. But if there is anything valuable for you, follow the standard sequence and procedures.

    3. iourine,
      Thank you for your precise answer, it explained a lot to me. But because of this “But this is actually a risky way.” I will have to rethink it.

    4. Tried the said command-line method on a pretty typical machine. Given 5.8 kernel already installed, there were only about 50 packages to update, mostly applications and some specific libs. Seems to work normally. Once again, this is for a plain installation: no third-party applications, no proprietary drivers, no exotic hardware, many out-of-the-box applications had been removed before. And this is a minor upgrade within the same basic version.
      A visible difference is that mint-meta-mate restoration was not required and new Mint applications have not been added automatically: hypnotix, warpinator, webapp-manager… saving my time by not removing them afterwards.

    1. And do you see an opportunity to upgrade to version 20.1? I also use the LM 19.3 Tricia version and I only have an upgrade to LM 20 :((

    2. LinuxMint 20.1 has newer software and e.g. a newer Kernel than 19.3. If you’re having hardware problems with 19.3 switching to the newer Kernel might help to solve them. If you’re happy with version 19.3 and you don’t miss any of the new features of 20.1 there’s no need to upgrade. Version 19.3 is still supported with security fixes.

    3. @Jurek: you will probably need to upgrade from 19.3 to 20 first and then upgrade from 20 to 20.1 after that.

  9. …I love this OS, its fun to use, easily upgraded, stable, looks great, runs fine, and lasts a long time- Thank You Mint Team !

  10. Observations on an i5-2500K + GTX 680 desktop:

    On Mint 20, the latest libseccomp system update had for some unknown reason the effect that nvidia drivers 390, 450, and 460 (recommended) would all result in a 640 x 480 @ 73Hz “laptop” display mode and no hardware acceleration. (Before the update, at least driver 450 worked normally.) However, going all the way back to nvidia driver 340 did still work. (According to Nvidia’s own notes, all those drivers should be compatible with the graphics card)

    After updating to Mint 20.1, nvidia drivers 390, 450, and 460 (recommended) continue to fail in the same manner. In addition, using nvidia driver 340 resulted in Cinnamon entering Fallback Mode, on at least two attempts. But suddenly, after one more round of manually uninstalling the drivers (sudo apt-get purge *nvidia*) and ending up with 340 (sudo apt install nvidia-340), the 340 driver seems to work again, against all odds. Hopefully that sticks. What may be going on here is at any rate far beyond my comprehension.

    1. Similar problem here, only get driver 450 to work with Mint 20 and Mint 20.1, 460 sets resolution fix to 1024×768

    2. Not sure if its the same problem but just about every restart my nvidia driver fails. Goes into software mode, change the driver to a different one, restart and it works for a least a reboot until the next time. No problems in 20 just after a fresh install of 20.1

    3. I can’t reproduce the issue here with an NVIDIA GTX 1660ti (using NVIDIA 455 drivers). Upgrading libseccomp2 doesn’t impact the system like it does for you. I couldn’t find any reports either, I found you on the forums when looking for resources. I’m not sure what else to do.

      Here are the changes at play: http://changelogs.ubuntu.com/changelogs/pool/main/libs/libseccomp/libseccomp_2.4.3-1ubuntu3.20.04.3/changelog.

      You might want to report it to NVIDIA directly, in case it speaks to them more than to us. We don’t have access to their source code, they might know where they’re using this lib and if recent changes are likely to impact some of their legacy drivers.

    4. Same problem when I upgraded from the 450 driver to the 460 driver. Had to roll back.
      I then removed xserver-xorg-video-fbdev and was able to successfully upgrade to 460 without issues. This legacy driver is normally unloaded by the nvidia driver anyway.

  11. @Clem,
    I’m preparing my emergency USB thumbdrive with the Mint 20.1 Cinnamon ISO, making it bootable with UNetbootin. I get this message:
    The file /media/bruno/RECOVERY/.disk/base_installable already exists

    This has always happened throughout the years when using UNetbootin. I allow overwriting all files and I never has a problem booting or installing through these mediums and I’m not worried this time neither, just sharing the info.
    I believe this is something related with UNetbootin, right?
    By the way, do you recommend Mint’s bootable USB tool (I’m sorry, I’m using the portuguese locale and I don’t know the original name of the tool) in detriment of UNetbootin?
    Mandatory curfew this weekend and expected a general lock down from Wednesday on. Got plenty of time to upgrade and test mint…
    Thanks for all the hard work, Clem and Team, and keep yourselves safe. Cheers!

    1. I am using “dd” with such a command (my specific example):
      sudo dd if=’linuxmint-20.1-cinnamon-64bit.iso’ of=/dev/sdc bs=16M oflag=direct status=progress
      and the general formula looks like this:
      sudo dd if=’ YOURS LINUX.iso’ of=/dev/sdX bs=16M oflag=direct status=progress
      where:
      ‘ YOURS LINUX.iso’ – linux ISO file name
      sdX – X is the letter of your flash drive, for example “c” or “d” (but never “c1” or “d1”)

    2. Whatever works best for you I guess. I’d tend to recommend mint-stick simply because we know it and we maintain it, but there are other quality tools out there.

    1. It’s been used in other distributions for a while. We’re one of the latest to migrate to it.

      If software is badly packaged or incorrectly referred to, it can lead to issues. For instance if a package provides /bin/foo but another executes /usr/bin/foo. In Debian and Ubuntu (and Mint also now) because of (or thanks to) usrmerge /bin and /usr/bin are the same directory, they’re no longer distinct.. so even though there is a mistake in one of these two packages, it will have no effect in these distributions.

      The good news is that these bugs no longer break anything for systems using usrmerge.. the bad news is that they’re therefore harder to detect and likely not to be fixed. They’ll affect systems which aren’t using usrmerge more and more as a result.

      So yeah, with all that said, we recommend you migrate your system to usrmerge, to avoid being impacted by bugs like this.

  12. Switched to default repo and upgrade as instructed, from 20.04. 10 minutes later already running with the new 20.1. Smooth sailing here. Great job guys! Cheers!

  13. Upgrade successful! That bloody webapp thing is bloody ingenious, thank you! You don’t even know how much easier it made my virtual life 🙂
    The only thing I’d hope to see is the possibility to change the size of left-pane icons in Nemo (icon view), so my old clumsy-shaky hands would have an easier way to point&click there. Would it be too much to (very respectfully) ask, Clem? Please? Tosted the request @ github, but somehow it got deleted.

  14. Dear @Clem,
    Me, as like as few others we made an upgrade to LM Cinnamon 20.1 using the following command lines yesterday:

    sudo sed -i ‘s/ulyana/ulyssa/g’ /etc/apt/sources.list.d/official-package-repositories.list
    sudo apt-get update
    sudo apt-get dist-upgrade

    And … the upgrade seems to be run without any problem. LM Cinnamon 20.1 with all my appl. and other stuff run smoothly and perfect.
    Since we initiate a discussion about the application of these instructions against an “official” one, should be from benefit to know the feedback of the experts. Thank in advance for you attention, illuminating us, users during this “upgrade phase” of a great system. THX.

  15. Another great upgrade. And again many thanks to all the Mint team for their hard work and skill.

    Terrific update guys! As usual the best ever.

    1. Why is it great ? Some of us are left guessing as to the “new and improved” os detergent. Shouldnt there be specific facts, performance measures etc. and if it just “new software” then if we want couldnt we just update via the Update Software manager. ie if I am happy the older FF and wish to upgrade that I can. No doubt i am missing the point.

  16. If This mint upgrade is run What kernel will be installed and made active and I’m running a HWE Kernel 5.8 as the laptop(Currently running Mint 20.0 Cinnamon) will not function properly(Fan Speed Ramping Under load) on any Kernel that’s Below Kernel 5.6. So I’m in that “Edge” Group of users on my newest laptop.

    I’ve also running Mint 20.0 Cinnamon with the Grub Bootloader edited with:

    nvme_core.default_ps_max_latency_us=5500

    added after the Quiet Splash because that ASUS TUF FX505DY(Ryzen 5 3550H/Radeon RX 560X) laptop is using a Western Digital Black M.2/NVMe SSD so will the update overwrite the GRUB settings on that laptop so that I’ll have to re-edit the GRUB settings again.

    1. The same here. The updated Mint booted a 5.8 kernel as before. Worked like a charm.

    2. Well, if you need these changes permanently at your machine, edit /etc/default/grub – add this to GRUB_CMDLINE_LINUX_DEFAULT or GRUB_CMDLINE_LINUX, then update-grub and check the result in /boot/grub/grub.cfg .

      The update utself does not involve kernel change and, consequently, updating grub configuration. If you are already running 5.4.0-60 or 5.8.0-36 (the latest versions as of now), it is de-facto reduced to ordinary upgrade of a limited set of application packages.

  17. In Linux Mint 19.3 Tricia will there be an option to upgrade directly to Linux Mint 20.1 Ulyssa in (excluding the upgrade to LM 20.0 Ulyana)?

    1. I don’t think so, as the package base was different. LM 19 based on Ubuntu 18.04 LTS, while LM 20.04 based on Ubuntu 20 LTS. You should go with fresh install.

    2. @ Dessy Eko Prayitno: I think you are wrong. It’s true that:
      Linux Mint 19.3 “Tricia” is based on Ubuntu 18.04 LTS
      but
      Linux Mint 20.0 “Ulyana” AND Linux Mint 20.1 “Ulyssa”
      BOTH are based on Ubuntu 20.04 LTS (and that’s not the problem)

      Where is the problem (my problem) ?

      1. I use Linux Mint 19.3 (and before that I have successfully upgraded from previous versions)
      2. When the LM 20.0 “Ulyana” version was released, I checked the LIVE version how it works. Unfortunately, the mobile modem disconnects instantly, so I will cut off the internet. So I didn’t upgrade.
      3. When the LM 20.1 “Ulyssa” version was released, I checked again on the LIVE version that now everything works OK and my mobile modem connects to the Internet again.
      4. That’s why I would like to DIRECTLY upgrade from LM 19.3 to LM 20.1 (excluding the LM 20.0 version that is clumsy for me).

      Dear Clem, will it be possible for me?

    1. If you have been running the 5.8 kernel in Mint 20 already before the upgrade to 20.1, you will still have that 5.8 kernel running after the upgrade and don’t need to do anything.
      Otherwise, same as in Mint 20: Main Menu -> Administration -> Update Manager. In the Update Manager, View -> Linux Kernels. In the left panel, select 5.8. In the right panel, click 5.8.0-36 (or whatever is at the top). In the enlarged view for that kernel, click Install.

    2. Yes, as Ras said you don’t need the Edge ISO. Edge isn’t an edition.. it’s just a different ISO with a newer kernel.

  18. Hello, i haven’t this options to system upgrade. WHy? I have screenshot but i cant to put in here.

    1. Have you checked that you have the correct versions of mintupdate and mint-upgrade-info as mentioned in the commonly asked questions above?

  19. Dear Clem and team: thank you very much for this update! Now I have a question. I am trying to pair a bluetooh mouse (Logitech) using bluetooth settings, but nothing happens. Using bluetoothctl command in terminal, I see that bluetooth signal is on and then immediately off, therefore, no pairing was possible. Any idea how to fix this? Thanks in advance!

    1. Dear Clem, I solved this issue. It had something to do with the mouse itself. Now everything is working flawless. Thank you for your answer.

  20. Thanks to the Mint Team! You did a great job with 20.1 – again! It worked on both laptops without any issues in a few minutes!

  21. This would fix the dual boot? Mine windows 10 disappeared on the boot menu and nothing I do won’t fix😤
    Anyone has an easy fix for dual boot??

    1. “sudo update-grub2” is usually enough. Other than that you can try reinstalling grub. The easiest solution might be to boot from the latest ISO and launch Boot Repair from the menu.

  22. I want to be able to DISABLE the “upgrade” menu option in the Edit menu, what is the dconf registery key I can disable and lock down?

  23. Is the order in the post wrong perhaps ?
    Because when trying to install usrmerge after updating, but before rebooting (as by the order in the post, except that I used the GUI instead of the command line), it hung endlessly. After stopping it after ~2h, neither rebooting from GUI nor restoring from timeshift were possible – the reboot and shutdown buttons were grayed out, and timeshift also hung indefinitely.
    Rebooting from commandline worked, and as far as I can tell the update also did, but this normally shouldn’t be necessary.

    1. No, it is correct. You don’t need to reboot to run usrmerge. I’m not sure what happened though, I can only guess usrmerge hung for some reason? I don’t really know though I’m sorry.

    2. I found the instructions a bit unclear, and I read them the opposite way to you!
      ‘Launch the System Upgrade by clicking on “Edit->Upgrade to Linux Mint 20.1 Ulyssa”.
      Follow the instructions on the screen.’
      Well, the last instruction on my screen was something like ‘You need to reboot your computer.’
      Then, on the upgrade instructions,
      ‘4. Convert the system with usrmerge (optional)’
      which all together sounded to me like upgrade (including reboot), then do usrmerge.

      I asked a different but related question recently, and got the reply it probably doesn’t matter when you do usrmerge, but the whole thing’s a bit off-putting and scary (will I ever see my computer again?) to non-geeks like myself!

  24. In the release notes it is mentioned to install synaptics when having problems with the touchpad.
    In the beta this disables keyboard input. And one has to install “xserver-xorg-input-all”.
    Was this fixed?
    One Bug was even closed without further discussing it.
    Just want to be sure noone falls into this trap. Installing something with the on screen keyboard is no fun.

    1. Hi Seff,

      I can’t reproduce your issue here. It’s possible your keyboard works with libinput but not with synaptics…. that would explain why it stops working when you install synaptics (although here on my laptop which uses a libinput keyboard it continues to do so even after the touchpad moves to synaptics).

      xserver-xorg-input-all is already installed and installing xserver-xorg-input-synaptics does not remove it. It’s also just a metapackage which depends on xserver-xorg-input-libinput.

      The release notes never mention to remove the input-all or the libinput package. I’m not sure how these were removed for you.

    2. This happened on all of my three Laptops. And this happened before and I reverted back to libinput.
      On my research in fixing it I came across this bugreport:
      >>https://github.com/linuxmint/mint20.1-beta/issues/38
      Where the guy also mentions keyboard stops working after installing xserver-xorg-input-synaptics.
      And some Ubuntu-users also had this problem.
      Maybe I am doing something wrong?
      Anyways I am quite happy that synaptics driver now works cause with libinput my touchpads stop responding like all 5 minutes.

      Thanks for looking into this.
      In a month I will upgrade 2 other Laptops and I will pay more attention what packages are removed.

  25. Updated from Upgrade Manager since Tina-Tricia-Ulyana and now Ulyssa (very quick update process) without installing from zero, just upgrading all the time, and it works perfect and fluently. Very good job. Thanks.

  26. Thank you!

    Worked perfect. I was expecting some trouble because I started the update process from the deepin desktop. (Maybe this was unnecessary, don’t know. I’m relatively new to Linux)
    But no problem at all.

    For me, Linux Mint with dde is the most user friendly (easiest) combination.

    Keep up the good work!

  27. My upgrade was quick and painless using my local mirror site here in New Zealand. Everything is working just fine again after a reboot.

  28. Power Manager is completley gone after the upgrade from LM20. Ulyana was working perfectly, but after what appeared to be “smooth” upgrade with no warnings nor errors, Cinnamon crashed after reboot. The power applet is gone, keyboard keys for controlling the brightness and sound no longer function.
    System Reports says: No problems were detected; dmesg shows no errors nor red lines, yet the problems are here. I’m guessing a certain part of ASUS netbook hardware is not detected as it should…. what can I do ?!

    1. Maybe you’re missing packages? Run this just in case? “apt install mint-meta-cinnamon”.

      Other than that, check your kernel version with “uname -a” and see if you moved kernel somehow?

  29. Everything worked out fine! Thank you very much!

    Since the upgrade to Linux Mint 20.1, the administrator password is asked again when starting the driver manager. There seems to be a short timeout for the password request. After that the password is asked again. Is this supposed to be like this?

    1. Yes, we had it run in user mode for a short while after migrating it to packagekit. Unfortunately we found out this broke it in offline mode (when the driver manager uses the live ISO to install packages directly from it, it needs root access at that moment). So we backtracked and so for now, again, it’s still running in root mode.

  30. At step 3, ‘new version of mintupdate’, the system locked up tight, which I don’t remember happening on any earlier upgrade. After a hard reboot the upgrade went on as if nothing had happened.

    The installer reported that libplymouth5 failed to install, but a follow-up apt-get reported the latest version installed.

    Other than that the upgrade worked.

  31. Everything went well.
    But the webapp-manager doesn’t seem to work. It just doesn’t open.
    Otherwise thank you for the great work !!!
    Cheers

    1. Hi Orel,

      Open a terminal, type “webapp-manager” and show us any error messages appearing in there.

    2. Traceback (most recent call last): File “/usr/lib/webapp-manager/webapp-manager.py”, line 20, in module
      from common import _async, idle, WebAppManager, Browser, download_favicon, ICONS_DIR, BROWSER_TYPE_FIREFOXFile “/usr/lib/webapp-manager/common.py”, line 239, in module
      import bs4
      File “/home/orel/.local/lib/python3.8/site-packages/bs4/__init__.py”, line 30, in module
      from .builder import builder_registry, ParserRejectedMarkup
      File “/home/orel/.local/lib/python3.8/site-packages/bs4/builder/__init__.py”, line 314, in module from . import _html5lib
      File “/home/orel/.local/lib/python3.8/site-packages/bs4/builder/_html5lib.py”, line 70, in module
      class TreeBuilderForHtml5lib(html5lib.treebuilders._base.TreeBuilder):
      AttributeError: module ‘html5lib.treebuilders’ has no attribute ‘_base’
      Error in sys.excepthook:
      Traceback (most recent call last):
      File “/usr/lib/python3/dist-packages/apport_python_hook.py”, line 153, in apport_excepthook
      with os.fdopen(os.open(pr_filename,
      FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: ‘/var/crash/_usr_lib_webapp-manager_webapp-manager.py.1000.crash’
      Original exception was:
      Traceback (most recent call last):
      File “/usr/lib/webapp-manager/webapp-manager.py”, line 20, in module
      from common import _async, idle, WebAppManager, Browser, download_favicon, ICONS_DIR, BROWSER_TYPE_FIREFOX
      File “/usr/lib/webapp-manager/common.py”, line 239, in module
      import bs4
      File “/home/orel/.local/lib/python3.8/site-packages/bs4/__init__.py”, line 30, in module
      from .builder import builder_registry, ParserRejectedMarkup
      File “/home/orel/.local/lib/python3.8/site-packages/bs4/builder/__init__.py”, line 314, in module
      from . import _html5lib
      File “/home/orel/.local/lib/python3.8/site-packages/bs4/builder/_html5lib.py”, line 70, in module
      class TreeBuilderForHtml5lib(html5lib.treebuilders._base.TreeBuilder):
      AttributeError: module ‘html5lib.treebuilders’ has no attribute ‘_base’

    3. Upgrade went great, everything fine!

      But I have the same problem with the webapp-manager: The software starts, but when clicking the “+”-button nothing happens at all. Tested this on two different computers, both Linux Mint XFCE 20.1.
      This is the error message when started from terminal:

      Traceback (most recent call last):
      File “/usr/lib/webapp-manager/webapp-manager.py”, line 405, in on_browser_changed
      self.show_hide_browser_widgets()
      File “/usr/lib/webapp-manager/webapp-manager.py”, line 408, in show_hide_browser_widgets
      browser = self.browser_combo.get_model()[self.browser_combo.get_active()][BROWSER_OBJ]
      File “/usr/lib/python3/dist-packages/gi/overrides/Gtk.py”, line 844, in __getitem__
      aiter = self._getiter(key)
      File “/usr/lib/python3/dist-packages/gi/overrides/Gtk.py”, line 828, in _getiter
      raise IndexError(“row index is out of bounds: %d” % key)
      IndexError: row index is out of bounds: -1
      Traceback (most recent call last):
      File “/usr/lib/webapp-manager/webapp-manager.py”, line 313, in on_add_button
      self.show_hide_browser_widgets()
      File “/usr/lib/webapp-manager/webapp-manager.py”, line 408, in show_hide_browser_widgets
      browser = self.browser_combo.get_model()[self.browser_combo.get_active()][BROWSER_OBJ]
      File “/usr/lib/python3/dist-packages/gi/overrides/Gtk.py”, line 844, in __getitem__
      aiter = self._getiter(key)
      File “/usr/lib/python3/dist-packages/gi/overrides/Gtk.py”, line 828, in _getiter
      raise IndexError(“row index is out of bounds: %d” % key)
      IndexError: row index is out of bounds: -1

    4. No,

      I just made it happen less.. it still happens if you download a favicon. There’s something wrong with one of your python modules.

    5. Thank you Clem,

      I had no issues with favicon and python3-bs4 and python3-html5lib were up to date but I just deleted python2 anyway.
      Wait and see.

  32. An update broke Mint 20.0 right around the time 20.1 dropped. I went a few days without rebooting (so I could download a large torrent with few seeders), shut it down last night, and when I turned on my computer today I was warned that I had no video hardware acceleration. I tried a few different kernels, and it didn’t fix anything so I think the problem is a recent update to one or more of the graphics packages. Updating to Mint 20.1 through the update manager didn’t fix the problem, but a fresh install of Mint 20.1 onto a new partition seems to fix it.

    The only problem? Several PPAs important to me still don’t have Ubuntu 20.04 builds. I had done some trickery to get the latest version of these programs installed, but now I don’t remember what I did. I have also hand-edited several config files in my previous install, some of these for aesthetic reasons (trying to eliminate the transparency in the bottom program bar, like older Mint versions used to have an option for), and some for functional reasons (improving privacy/security, adding a GPU fan control script/service that’s aggressive enough to actually stop it from overheating). Some of these changes I documented, some I forgot.

    I haven’t yet had time to play with Mint 20.1 yet and see what’s improved/regressed, but if the issue that causes the system to totally lock up when removing a heavy GPU load has been fixed, then IMO it’s a good trade to have my modifications totally borked for the next few days/weeks.

  33. I just upgraded and it failed to boot… well, and I was able to boot but only when I booted into recovery mode (from Grub menu)… note: I do have full drive encryption with Luks and the “regular” boot gets stuck when I it asks me for to enter the password. Any ideas how to resolve this?

    1. Could it be a plymouth issue? Make sure all updates are applied and your APT cache is clean (apt install -f).

    2. @Robert : same on my side!
      when you disable plymouth by change from
      GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash”
      to
      GRUB_CMDLINE_LINUX_DEFAULT=””
      via
      sudo vi /etc/default/grub
      then
      sudo update-grub

      Now you can start in normal mode – but you will see the start log and may have to set your Luks Pass 2 times.

    3. @Guido, thanks – I have an encrypted home partition and had this problem as well. This works around the absence of a normal password prompt. Previously, eventually the system did boot and eventually I got to a desktop but it only vaguely worked as the home folder isn’t mounted.

  34. Excellent work. Quick question though: How come the *default* icon pack uses custom icons for external programs? For example, the Audacity icon is… Different. It’s not the Audacity icon, which should be the default.

    I feel like things that shouldn’t be changed are being changed, and the change is mandatory if I want to use Mint-Y / Mint-X icons.

    1. We use complete icon themes so all apps have custom icons. If you want upstream icons for apps, switch to an minimalistic icon theme, with no app icons. You can find some on gnome-themes.org.

  35. The best upgrade experience ever. I adore Linux Mint and all that you do. Thank You folks, thank You so much.

  36. Did the upgrade this morning after being alerted by RSS. Followed instructions and the process was totally painless. I also applied usrmerge – I recall reading about it last year (I think it was mentioned in a blog entry) and it makes perfect sense. The Favorites feature in Nemo is one feature I’ve been waiting to use.

    Many thanks to Clem and the rest of the team for getting the update out.

  37. usrmerge causing FATAL. Please suggest/help!

    Dear Clem/All,
    I am upgrading my laptop from LM 20.0 to 20.1. I completed the upgrade step successfully. But while installing and running usrmerge package, it gave a FATAL and failed. Please suggest/help immedietaly. I am stuck here.
    The console log is as below:

    FATAL ERROR:
    Both /bin/fgrep and /usr/bin/fgrep exist.

    You can try correcting the errors reported and running again
    /usr/lib/convert-usrmerge until it will complete without errors.
    Do not install or update other Debian packages until the program
    has been run successfully.

    dpkg: error processing package usrmerge (–configure):
    installed usrmerge package post-installation script subprocess returned error exit status 1
    Processing triggers for libc-bin (2.31-0ubuntu9.1) …
    Errors were encountered while processing:
    usrmerge
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    1. The grep package provides /bin/fgrep.. but I’m not sure what provides /usr/bin/fgrep.

      You can find this out on your computer with “apt contains /usr/bin/fgrep”. This will give you the providing package name.

    2. Clem, thanks for the reply. I tried this command, but it did not give me any package name.
      I got this error for both fgrep and egrep. I understood the objective of usrmerge, and resolved this error manually. I am listing down the steps I followed so that it might help anybody else who gets the same error:
      DO NOT REBOOT /INSTALL/UPGRADE ANY PACKAGE IN BETWEEN THESE STEPS.
      (1) this program usrmerge internally runs ‘/usr/lib/convert-usrmerge’.
      (2) this program moves the existing programs from few folders like /bin to /usr/bin. While doing that, if the same program already exists at the target folder, then ‘/usr/lib/convert-usrmerge’ fails and leaves things incomplete mid way. It is not detecting them before hand via a dry run as seen in my case.
      (3) we need to run this once, and manually check the results to identify such programs/files individually. then compare the file at both places to check which one is the latest based on timestamp, and then retain it. that one which we intend to retain should be manually moved to ‘/usr/bin’ or appropriate folder as mentioned in error, and then a symlink should be created in /bin or the appropriate source folder for it.
      (4) then run the following command: sudo /usr/lib/convert-usrmerge
      (5) iteratively solve the problems one by one, and keep running this command until it gives a success response: “The system has been successfully converted.”
      (6) once the above success message comes, the usrmerge process is complete.

  38. Back in July, i tried the upgrade from 19.3 but it broke the system. All the problems seemed to be related to python3. Since 19.3 works so well, i just went back using Timesheet and ignored that little reminder.
    Now with this upgrade, is there any chance that trying 19.3 –> 20 will produce different results? Or should I just be happy for two more years with 19.3?

    1. We’ll continue to improve the 19.3 -> 20 upgrade path. It is a rough one though, like every LTS base jump. It goes smooth for most people, but there are niche cases we’re struggling with.

    2. Cliff Sloane,

      transition from Python2 to 3 is unevitable, but it can cause problems with some particular applications that are not upgraded yet. Try to figure out which applications still require python2, remove them permanently (but not purge), upgrade, then install them back – the latest versions. Typically these are third-party apps that the particular distro team cannot be responsible for. In my case, it was hplip installed directly by the HP script; it was not before a few versions later then it was migrated to python3 and built correctly in Ubuntu and, hence, Mint. The other potentially risky examples are skype, zoom, viber an the other tripper of that sort, standing apart from the regular repositories due to their proprietary neture.

  39. Much love from all the butchers at our shop who depend on Linux Mint to get our work done! Brave and Chromium have had their own version of “web apps” for as long as I can remember but the Web Apps functionality you brought to the table is a real game changer. Finally that ability is brought back to FF! The favorites will ensure everyone will get paid on time! 😂

    Keep up the great work guys!

  40. Brilliant. The only weakness of Mint in the past has been doing upgrades. But this time the upgrade was simple, not problems. Please keep up the good work guys!

    1. Point upgrades are easy and fast. We only upgrade our own packages on top of the same package base, so we can guarantee everything goes smooth.

      When we jump from one package base to another, we literally jump from one huge Debian snapshot (the one the Ubuntu LTS is based on) to another, and that brings in changes from thousands if not hundreds of thousands of updates happening upstream. It’s much more complicated and many more things can go wrong. By the time a complex update such as 19.3 -> 20 comes to you, we’ve tested it a lot, improved it a lot, and automated it a lot, but we can’t possibly think or test any combination of 3rd party or even 1st party software you might have installed. The upgrade processes involved here are completely different.

  41. Another nice and easy update. Everything worked great and went fast even on my old i5 750. Thank you and the team for all the hard work!

  42. I dunno why exactly, but since installing the update, my entire system is much snappier and way more responsive. Thanks for another great update! Loving the file faving!

    1. There was an update to libplacebo! 🙂

      It might be the move to the new mozjs in Cinnamon. It should be marginally faster though, not a game changer.

  43. Hello,
    Cinnamon chrashes after upgrade to 20.1!
    The second menu line is gone.
    It now looks like mate, system unusable. I think i have to do a fresh reinstall of lm 20.1

    1. Hi Thomas,

      Check ~/.xsession-errors.
      Also try to run it from terminal and report the output to us: “cinnamon –replace” <-- note this is a double dash. It doesn't show properly on the blog.

  44. Upgrade from linux mint 20 ulyana cinnamon to 20.1 ulyssa cinnamon went smoothly. Many thanks to the whole team!

  45. Hey, the new release with the new version of the PDF reader still has a bug that started in version 20. Everytime you tell it to “save a copy” of a PDF it wll save it but it will also crash and do a coredump. Sometimes using the search function repeated times on a document will also do the same.

    It didn’t happen up until Mint 19.3.

    Hope I’ve helped to solve a bug!

  46. I upgraded my system yesterday, without any problem.
    May I today (means afterwards, since I have already rebooted a few times) apply that “usrmerge conversion”?

    Thanks!

  47. Hello Clem and Team.
    Thank you so so much for this really hard and good work.
    For my self i am using Arch and on my second SSD Mint.
    But i installed on all Computers in my family or circle of friends your amazing Linux Mint.
    All people are now so much happy to not need more to use Windows 🙂

    Best greets and best wishes for the year 2021 and future to you and your great team.

    Michael P.

  48. Web apps:
    how can I afterwards edit a Web app and remove the navigation bar I mistakenly activated when I create it? Thanks!

  49. Made the switch to Linux Mint in November; no dual boot either; completely done with Windows 😀

    My question is with regard to verifying updates to the OS are legitimate and from the developer. I know that you should verify your .iso file prior to installing a linux distro on your PC; how does the verification process work with OS updates once a verified version of Linux Mint is already installed. Trying to learn more, thanks again!

    1. When upgrading Mint downloads packages from the official repository/local mirror. As far as I know the packages in the repositories are signed with GPG key and file checksum, and the apt/installer checks automatically that it is correct on download.

      In other words it is only when making a clean installation from .iso that you need to manually verify that the downloaded file has not been tampered with.

    2. The repository itself is signed and your APT has the public key to know if it’s legit or not. If it’s not it will refuse updates from it.

  50. Updated quickly and without visible problems. All according to the instructions . But soon I noticed that the FN on the wireless clave fell off… In 20-ke worked without problems, as in 19.3. And I did not understand how the Web application works. I have it running, but after clicking “add” nothing happens. Sorry, this is yandex-translate.

    1. I don’t understand the problem with the wireless.. FN?

      Run the webapp manager from the terminal to see if you get an error message. We’ll have a better idea of what could be wrong then.

    2. Yes, the fn function key. The keyboard is Logitech wireless. In Mint 20 and 19.3 buttons FN+F9, FN+F10? FN+F11 controlled the sound. Now there isn’t. I connected the keyboard to my other computers with Mint 20.1 (new installation) – everything works! And on the main machine-after updating from 20 to 20.1-stopped working. All other keys work without problems.

    3. webapp-manager runs in the terminal without errors as well as in the GUI. A window opens. I press the “+ ” button. Nothing happens…

    4. Hi Igor,

      Try it in English: “LANGUAGE=en_US.UTF-8 webapp-manager” (make sure to close any webapp manager prior to this). See if that works. If it does, let us know which locale you’re using (i.e. type “locale” in a terminal).

    5. Here is the terminal output:
      igor@igor-E520:~$ acpi_listen
      button/mute MUTE 00000080 00000000 K
      button/volumedown VOLDN 00000080 00000000 K
      button/volumeup VOLUP 00000080 00000000 K
      These are respectively FN+F9, FN+F10, FN+F11.

    6. It appears to be 2 unrelated problems: one with FN+F9/10/11 keys and the other with webapp. Solve them separately.

  51. I upgraded tonight from 20 to 20.1 I didn’t know it was ready but I figured it out when the update manager updated.

    Good job! Thanks for all that you do.

  52. The update was quick and easy! So far I haven’t found any errors and the Laptop (upgrades Fujitsu Esprimo Mobile M9410) runs fine. IP TV is great. Unfortunately you don’t have that much time to watch the whole range of channels. Many thanks to the development team – keep it up! A happy Linux Mint 20.1 Cinnamon user!

  53. My installation went well, but for some reason some shortcuts were removed from the panel and reorganized in the menu.

    1. Weird.. there were no updates to either rhythmbox nor rhythmbox-plugin-tray-icon between 20 and 20.1. Are they both installed?

  54. After upgrade to 20.1 the system monitor applets (just any of the list) stopped working. Moreover, any of them being active on Cinnamon start was a reason of repeated Cinnamon crash. Only disabling those applets stopped Cinnamon crashing. Tried updating applets, resetting settings (both for applet and Cinnamon) – no luck.

    xsession-errors file has the following (maybe related) after each Connamon restart:

    Cjs-Message: 15:36:49.557: JS LOG: [LookingGlass/info] Loaded applet sysmonitor@orcus in 93 ms
    **
    Cjs:ERROR:../gi/function.cpp:1063:void uninit_cached_function_data(Function*): assertion failed: (function->info && “Don’t know how to free cache without GI info”)

    Cjs-Message: 15:36:58.823: JS LOG: About to start Cinnamon

    Another issue spotted is that I am unable to upgrade NVidia driver from 450 to 460: driver manager gives the following error page when trying to start update
    pk-control-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PackageKit was not provided by any .service files (0)

    Anyone else had any of those?

    1. We’re currently reviewing all spices for Cinnamon.

      For packagekit either it’s dead (you need to reboot then) or it’s not installed? Make sure gir1.2-packagekitglib-1.0 is installed.

    2. apt says gir1.2-packagekitglib-1.0 is installed with latest version (1.1.13-2ubuntu1.1). I have tried a number of reboots already, with no luck – that error remains when trying to switch driver to a newer version.

    3. I have solved problem with driver manager by installing ‘packagekit’: ‘apt install packagekit’. It was not installed while ‘gir1.2-packagekitglib-1.0’ was. Weird… I am absolutely sure I did nothing related to these packages, and previously driver update worked in the driver manager. Anyway, happy this is solved.

      Problem with applets remains. Hoping that gets fixed soon as well.

    4. Update about applet and Cinnamon crash: that is solved after recent update of cjs package to 4.8.2. Thanks David for hint in other post.

  55. I upgrade from linux 20 to linux 20.1 cinnamon very easily.
    I just found an issue:
    Hypnotix does not work when I am using my PIA VPN even when I use the by-pass for this application,
    but it works perfectly when VPN is disconnected.

    1. I tried again and got these results:
      Sometimes it takes a long time to connect on some TV channels but then works perfectly.
      Sometimes it does not connect at all on some channels but does latter.

  56. Hi Clem & team,
    Thank you very much for this upgrade utility (delivered as little as two days after the release announcement of 20.1!) It worked like a charm. You did an outstanding job.
    I wish all the best for this upcoming year.

  57. HP printer problems, because required new plugin hplip-3.20.11 is not available due to errors in sw.
    So back to Ulyana. Remember use Timeshift before updating, so easy to return!

    1. In my case, hplip was upgraded to 3.20.11 in regular way and does work ok. Were there any error messages about it during upgrade? Or remove hplip*, then remove its dependendencies with “autoremove”, do the upgrade, and install them back.

  58. To the Mint Team.

    Thanks for the upgrade, so far i didn’t find any problem with the new version.

    Keep your amazing work.

  59. Having read the linked article promoting the /usr merge, I must admit that I’m not convinced. I wonder how long it will take for the SystemD folks to break their word again, and stop supporting “non-merged” systems.

  60. Since upgrading to LM 20.1, my screen flickers white for a split second during reboot just before the desktop wallpaper loads. The user login is automatic for me. I could observe this on two different devices:

    1) Intel Core i5-6600K, graphics card: GTX 970, driver: latest Nvidia 450 or 460

    2) Intel Core i7-2620M, graphics driver: i915 (tested in live system)

    What could be the reason for this?

    1. Hi Jakob,

      Could it be the cinnamon start animation? You can disable it in the Effects settings to see if it’s that.

    2. Thanks for the quick reply. No, that’s not the problem. I checked it, all effects are disabled. Do you have any other ideas? By the way, I am using the latest 5.4 kernel.

    3. Same problem here: After login (with password on the login screen) the desktop turns white for a split second before the wallpaper loads. Intel Core i5-3570K, graphics card: GT 710, driver: latest Nvidia 460

    4. Same problem here after an upgrade from LM 20 to LM 20.1. Screen flickers white for a split second after login during both boot and reboot before the wallpaper loads.
      Switched back to LM 20 and no problems at all.
      Using Intel Core i7-10750H, GTX 1650-Ti with Nvidia 460 driver and the 5.4.0-60 kernel.

    5. I am observing same issue when logging in, before desktop icons appear. fallenone user has mentioned in other post (https://blog.linuxmint.com/?p=4011#comment-177052) this can be solved by disabling xapp-sn-watcher autostart in settings. That worked for me, but I am afraid that would disable some useful functionality. So had to enable its autostart back and deal with that white flash. Hopefully that gets fixed by another update.

    6. Am also seeing the white flash upon start-up although it does not happen every time.

      CPU: Ryzen 5 3500X
      GPU: RX 5500XT
      Kernel: 5.4.0-60-generic
      OS: Mint 20.1 Cinnamon

    7. @Vasyl: Thanks for this info. Have you already observed any negative effects caused by disabling “xapp-sn-watcher” in autostart? What does “xapp-sn-watcher” actually do exactly?
      Would be great if this is fixed in an update soon, of course.

  61. Great it was quite easy.
    I found two problems, though:
    1. The instructions say “update your applets, extensions, etc” however, it doesn’t say how to do it. I couldn’t find anywhere in the settings how to update them. After reboot, there was a problem with an applet (system monitor) so I just deleted it and all is good.
    2. My “Display” settings didn’t start right the first time. When I tried to change my primary display I found the “XRANDR_2 was not provided by any .service issue with Cinnamon Display settings” error described in this bug report: https://bugs.launchpad.net/linuxmint/+bug/1716690 . I just deleted the file in question and all was good. I wonder if the installer can take care of that autostart file.

  62. I don’t have a separate /home partition. Will the update to 20.1 reformat my root partition, hence deleting everything in /home?

  63. hi.
    i just upgraded from lm 20 to 20.1
    for me it broke the volume keys. anybody else had the same problem? b.t.w. asigning a different key combination did not work either.
    if anybody knows a fix, pls let me now. tnx, and thumps up for the team!!

  64. Regarding the issue I am having were the boot process gets stuck after I enter the LUKS password.

    I tried (apt install -f) and I am sure all updates got installed. I also tried Guido’s solution with the Grub, but that also didn’t help.

    GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash”
    to
    GRUB_CMDLINE_LINUX_DEFAULT=””

    Question, is there is a way to disable plymouth?
    the recovery mode works fine, just it is annoying to answer all the boot questions…

    NOTE. so glad there is Timeshift 🙂

    1. Hi, I have the same issue. Please make sure to run ‘sudo update-grub’ after changing GRUB_CMDLINE_LINUX_DEFAULT, otherwise the change won’t have effect. When you reboot, it should not show the splash screen anymore and allow you to enter the encryption password. Sure hope this gets fixed soon. I guess not many people encrypt their drives..

    2. I need more information on the LUKS/plymouth issue.

      I can’t reproduce it with the following test case:

      – Fresh install Mint 20 Cinnamon 64-bit with LUKS/LVM
      – Dist-upgrade everything
      – Upgrade to 20.1 via mintupdate

      The plymouth password prompt for the encrypted partition looks the same way it did in 20. I don’t see any issue.

      This was tested in Virtualbox.

      Let me know what differs from this in your setup so we can start identifying a possible cause. If you upgraded from an earlier version than 20, I’d like you to check if you have any foreign packages (there are two buttons to check this in mintsources -> maintenance tab). Don’t hesitate to specify your GPU chipset and the drivers you’re using also. NVIDIA is known to not handle plymouth very well.

    3. Replying to Clem’s questions about the LUKS/plymouth issue:
      My version of plymouth = 0.9.4+mint1+ulyssa. I have one foreign package: discord. I have an NVidia GPU and use nvidia-driver-460. Video card is a GeForce GTX 1050 Ti. This installation was installed with 20.0 and then upgraded to 20.1. I’ve seen the issue on both this PC and my Laptop (which also has an Nvidia GPU). Hope this helps…

    4. I am having the same issue like Robert P and others with a LUKS encrypted OS being stuck after entering the LUKS password. Here is my info:

      1. I upgraded from Mint 20
      2. Plymouth is version “0.9.4+mint1+ulyssa”
      3. I have an AMD graphics card
      4. One foreign package: Veracrypt

      Taking out “quiet splash” from GRUB_CMDLINE_LINUX_DEFAULT works for me, but I do have the enter pw twice now (two HDDs, same pw).

  65. Second comment:
    I have another smaller netbook where I installed Mint but replaced cinnamon with LXQt. The upgrade forced me to install mint-meta-cinnamon. Why? After the install, I was able to remove all the packages installed by mint-meta-cinnamon and all works perfectly. So, it wasn’t a big deal but still wondering why installing cinnamon for the upgrade.

    1. xviewer is dependent upon cinnamon-desktop-data. Probably this is what triggers check for the entire mint-meta-cinnamon, for the sake of generality. And it might had been removed earlier by removing some annoying packages (e.g. mintwelcome, mintreport) that it depends from.

  66. Acabou de chegar no mintupdate, mas tô indeciso de instalar devido bug que pode aparecer,mas achei legal a versão do linux mint.(AH, eu sou do Brasil. 🙂 )

  67. Most of my systems are Mint MATE 19.3 but one is a 20 and I upgraded to 20.1 in 5 min. Great job !
    And I discovered IPTV which I’m thrilled for … one question, can you backport the IPTV to Mint 19.3 (if technically possible)? I would love that. Thank you for a great distro.

  68. Alright Clem! Thanks for the heads up! It’s the only big bug that comes to my mind, so great work as usual!

    The default image viewer was also coredumping/abrupt closing since version 20 on very rare occasions (got that bug maybe twice out of thousands of occasions).

    Have a nice week!

  69. Yes, there is HPLIP 3.20.11 included, but it is not possible to load required hplip-3.20.11-plugin which is required for certain HP-printers. Maybe this is problem in HPLIP- part or in plug, but I need printer sometimes and that’s why I returned back to Ulyana.

    1. Dinos,

      Try to figure out what happens when downloading the plugin. Does the downloader run? Does it connect to server? Does the server return an error?

      Probably it would be more informative to do this in terminal with hp-plugin -ig .

      It is also possible that the plugin is downloaded normally but not the GPG key for it; you have to wait for the timeout (2 min afair) so that hp-plugin would surrender and offer you to install it without verification. This happened in my case (LJ M1132MFP) with hplip-3.17, then HP installer failed for later versions, then it failed downloading the plugin in 3.20.3 originally included in Mint20, and it was not until 3.20.5 when the problem was fixed.

      Which hplip version does work for you? Maybe the said change fixed the problem for my device but toggled it on for you? If so, you may downgrade to hplip-3.20.3+dfsg0-2, it is still available in the repository, and put this package on hold.

  70. Thank you for yet another update! I followed instructions incl usrmerge and everything went fine. It only took 5-10 minuets to do the update and reboot.

  71. Hi, I’ve just upgraded to Linux Mint 20.1, and I am unable to find the webapp and hypnotix application. I’ve tried running sudo apt update, and nihil. Tried calling ‘webapp-manager’ from terminal too, and it said command not found. Any help please? Since my biggest motivation to upgrade is to get the webapp feature. Thanks before

    1. When upgrading those apps are not getting installed. You have to install them on your own, e.g. with the Software Manager.

    2. @Andre, are you positive that the upgrade was fully applied? Try running “hostnamectl” from the terminal to make sure that you’re running 20.1. It can be surprisingly easy to get the impression that the mintupdate package has applied the upgrade when it actually has not.

  72. Hola! Gracias a todo el equipo y desarrolladores de Linux Mint! Y felicidades por Linux Mint 20.1, porque parece muy estable y ha resuelto todos mis problemas con Ryzen y AMD. Hacen un gran trabajo. Linux Mint es el mejor!
    Eva Vlez

  73. everything is perfect as always. thanks for you all !
    I just want to ask one point: how can I disable auto setup of remote/network printer? I was thinking the feature would be disabled in Ulyssa.

  74. Hi,

    here the same problem with the LUKS.. but in my case, worked the “workaroung” from Guido, the problem is that I need to put the passphrase to each of my LUKS partitions !! 🙁

  75. Hi Clem

    Upgraded a GPD micro and the upgrade went smoothly. , once cinnamon has loaded the screen is the wrong way round (on the side). It was fine in 19.3 and 20

    if I try to rotate it in “display” I get an error box Failed To Apply Configuration
    GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.cinnamon.SettingsDaemon.XRANDR_2 was not provided by any .service files
    All help appreciated

    1. In “Startup Applications” there’s an entry for “Cinnamon Settings Daemon – xrandr” that in 20.0 (and the 19.x series) points to

      /usr/lib/x86_64-linux-gnu/cinnamon-settings-daemon/csd-xrandr

      change that entry to the location used in 20.1

      usr/libexec/csd-xrandr

      save and reboot.
      Hope this helps

  76. After a fresh install on one computer and an upgrade on another there is an issue with XFburn. When attempting to do a burn XFBurn reports “Burn mode is not currently implemented.”

  77. Génial, comme d’habitude – ça s’est passé tout seul. Merci pour tout le travail que vous faites – j’ai particulièrement apprécié les favoris et les webapps.

  78. Followed instructions as posted here, everything worked exactly as advertised. The whole thing took about 5 minutes. Well done, Clem et al!

  79. I run into problems when upgrading NVIDIA driver from version 450 to 460 (resolution frozen at 1025 x 768) via the driver manager. Upgrading the kernel first from 5.4 to 5.8 made the problem go away. Hope this helps someone.

  80. Great job as usual! The upgrade method from LM 20 to LM 21 (Cinnamon and MATE Desktop) worked really well and all the applications worked flawlessly as well! Congratulations!

  81. Hello:
    I hope someone can help me with my problem.
    I have a computer with a Nvidia GeForce GT 730 card. I have tried to install Linux Mint 20.1 Cinnamon, however I get the following error when I restart it: Grub rescue, and I don’t know how to fix it.
    With Ubuntu, Zorin Os and other distributions I don’t have this problem, only with Linux Mint 20.1.
    Is there any way to solve it?
    Thank you very much.
    Alejandro

  82. iourine,
    HP-printer issue. I used hp-plugin -ig and I could start downloading plugin but then there is message ” Remote file exists and could contain further links, but recursion is disabled — not retrieving. ” Also timeout (2min or more) do not help this issue. I am using HPLIP 3.20.3 in Ulyana. When I tried install this 3.20.3 version, I got error message: Missing required dependency, ” This installer cannot install ‘python3-pyqt5’ for your distro/OS.. I checked that python3-pyqt5 exists but no success. So I returned back to Ulyana.

    1. That is what I thought about. Cannot say any definite things about recursive downloads, but this appears to be the mechanism that did not work for my device up to 3.20.3 inclusively but worked in your case. Disabling it in 3.20.5+ fixed the problem for me but created it for you. And now v3.20.3 does not work on current Mint package base because Python packages have been renamed and restructured.

      Apparently the option is hard-coded in the HP python scripts and cannot be toggled by command-line options. The correct way is to take the sources of 3.20.3 and 3.20.11 and compare them, to figure out where it is done and revert it, then rebuild 3.20.11. But this is a work for developers, and still there is no guaranties that it should work because we do not know why it was disabled; there may be more essential reasons to disable it.

      If you still have time and wish to fight for your printer, one way is trying to preserve the existing plugin. Theoretically, the plugin files themselves (but not the installer script) should be independent from hplip version. Run hp-plugin -i -g in your working Ulyana installation, it will print the list of files which it checks. Make a backup copy of them, especially of those in /usr/share/hplip/{fax,prnt,scan}/plugins/ . Upgrade to Ulyssa and 3.2.11 and resore them manually. (The other directories and files appear to be parts of hplip-* packages themselves, not of the plugin. Do not rewrite them if they exist.)

      Another way to try is to let hp-plugin -i -g (3.20.11) download whatever is can. It uses ordinary wget inside, see the output for what is downloaded and where it is stored locally, e.g.: http://www.openprinting.org/download/printdriver/auxfiles/HP/plugings/something and something.asc (the digital signature) to ~/.hplip . Do not quit hp-plugin, go to the directory and make a copy of the file in another place. (Note that the files are deleted on exiting hp-plugin or after executing them once.) Open the saved copy in an editor and look for other URLs to be downloaded. Download all of them manually, and then use the -p option to force hp-plugin to install it from local files rather than downloading.

      Or run hp-plugin -i -g in Ulyana (3.20.3), tell it to reinstall the existing plugin, get a list of what it downloads, download similar files with -3.20.11 suffix manually, and then feed them to hp-plugin-3.20.11.

    2. Hi,

      We backported hplip 3.20.11 to Mint 20.1 so you wouldn’t need to do that. I added information on https://linuxmint-user-guide.readthedocs.io/en/latest/printers.html#installing-the-proprietary-plug-in with steps on how to install python3-pyqt5 and run hp-setup. I can’t test further though because we don’t have any of these printers here.

      I’d like to know in particular if hp-setup succeeds without sudo and if you encounter any issues using the steps documented above. Let us know so we can make this easier for everybody else.

    3. I tried these steps to install python3-pyqt5, but there was already newest version installed, so 0 new installed. hp-setup runs without sudo, but it will not install required -3.20.11-plugin. Only way in this moment is to download hplip-3.20.11-plugin.run and ..run.asc from URL and install it locally with e.g. command sh hplip-3.20.11-plugin.run and run then hp-setup

    4. Do you get an error message when using hp-setup 3.20.11? What does it say when it refuses to download the plugin? And did you try with sudo?

      You mentioned an error message earlier but that was with 3.20.3 afaik (the Mint 20 version).

    5. I used hp-setup 3.20.11 with or without sudo and there is message that missing plugin for 3.20.11 needs to be installed. When I started installing plugin using proposed way, it is not possible due to error ” Remote file exists and could contain further links, but recursion is disabled — not retrieving. Only way that I found was to download required plugin from URL and use e.g. command sh hplip-3.20.22.11-plugin.run and then hp-setup to add printer

    6. OK, I had a look at the code for hp-setup, what it does is run hp-plugin -i. Can you try and run this on a fresh setup?

      apt install python3-pyqt5
      hp-plugin

      This skips the device test (which is good for me since I don’t have the one required to need a plugin) and downloads the plugin successfully.

    7. I tried with fresh upgrade to 20.1 and hp-plugin couldn’t load required plugin. This was result:
      ..
      qt5ct: using qt5ct plugin
      Checking for network connection…
      Downloading plug-in from:
      Traceback (most recent call last):
      File “/usr/share/hplip/ui5/plugindialog.py”, line 248, in NextButton_clicked
      status, download_plugin_file, error_str = self.pluginObj.download(self.plugin_path,self.plugin_download_callback)
      File “/usr/share/hplip/installer/pluginhandler.py”, line 254, in download
      core = core_install.CoreInstall()
      File “/usr/share/hplip/installer/core_install.py”, line 240, in __init__
      self.passwordObj = password.Password(ui_mode)
      File “/usr/share/hplip/base/password.py”, line 88, in __init__
      self.__readAuthType() # self.__authType
      File “/usr/share/hplip/base/password.py”, line 111, in __readAuthType
      distro_name = get_distro_name().lower().replace(” “,””)
      File “/usr/share/hplip/base/password.py”, line 78, in get_distro_name
      return distro.linux_distribution(full_distribution_name=False)[0]
      File “/usr/lib/python3/dist-packages/distro.py”, line 122, in linux_distribution
      return _distro.linux_distribution(full_distribution_name)
      File “/usr/lib/python3/dist-packages/distro.py”, line 677, in linux_distribution
      self.version(),
      File “/usr/lib/python3/dist-packages/distro.py”, line 737, in version
      self.lsb_release_attr(‘release’),
      File “/usr/lib/python3/dist-packages/distro.py”, line 899, in lsb_release_attr
      return self._lsb_release_info.get(attribute, ”)
      File “/usr/lib/python3/dist-packages/distro.py”, line 552, in __get__
      ret = obj.__dict__[self._fname] = self._f(obj)
      File “/usr/lib/python3/dist-packages/distro.py”, line 1012, in _lsb_release_info
      stdout = subprocess.check_output(cmd, stderr=devnull)
      File “/usr/lib/python3.8/subprocess.py”, line 411, in check_output
      return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
      File “/usr/lib/python3.8/subprocess.py”, line 512, in run
      raise CalledProcessError(retcode, process.args,
      subprocess.CalledProcessError: Command ‘(‘lsb_release’, ‘-a’)’ returned non-zero exit status 1.
      Error in sys.excepthook:
      Traceback (most recent call last):
      File “/usr/lib/python3/dist-packages/apport_python_hook.py”, line 153, in apport_excepthook
      with os.fdopen(os.open(pr_filename,
      FileNotFoundError: [Errno 2] No such file or directory: ‘/var/crash/_usr_share_hplip_plugin.py.1000.crash’

      Original exception was:
      Traceback (most recent call last):
      File “/usr/share/hplip/ui5/plugindialog.py”, line 248, in NextButton_clicked
      status, download_plugin_file, error_str = self.pluginObj.download(self.plugin_path,self.plugin_download_callback)
      File “/usr/share/hplip/installer/pluginhandler.py”, line 254, in download
      core = core_install.CoreInstall()
      File “/usr/share/hplip/installer/core_install.py”, line 240, in __init__
      self.passwordObj = password.Password(ui_mode)
      File “/usr/share/hplip/base/password.py”, line 88, in __init__
      self.__readAuthType() # self.__authType
      File “/usr/share/hplip/base/password.py”, line 111, in __readAuthType
      distro_name = get_distro_name().lower().replace(” “,””)
      File “/usr/share/hplip/base/password.py”, line 78, in get_distro_name
      return distro.linux_distribution(full_distribution_name=False)[0]
      File “/usr/lib/python3/dist-packages/distro.py”, line 122, in linux_distribution
      return _distro.linux_distribution(full_distribution_name)
      File “/usr/lib/python3/dist-packages/distro.py”, line 677, in linux_distribution
      self.version(),
      File “/usr/lib/python3/dist-packages/distro.py”, line 737, in version
      self.lsb_release_attr(‘release’),
      File “/usr/lib/python3/dist-packages/distro.py”, line 899, in lsb_release_attr
      return self._lsb_release_info.get(attribute, ”)
      File “/usr/lib/python3/dist-packages/distro.py”, line 552, in __get__
      ret = obj.__dict__[self._fname] = self._f(obj)
      File “/usr/lib/python3/dist-packages/distro.py”, line 1012, in _lsb_release_info
      stdout = subprocess.check_output(cmd, stderr=devnull)
      File “/usr/lib/python3.8/subprocess.py”, line 411, in check_output
      return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
      File “/usr/lib/python3.8/subprocess.py”, line 512, in run
      raise CalledProcessError(retcode, process.args,
      subprocess.CalledProcessError: Command ‘(‘lsb_release’, ‘-a’)’ returned non-zero exit status 1.

    8. I get the feeling you’re using some broken version of hplip from upstream. They check lsb-release and hardcode compatibility with each single release. I can’t reproduce the issue with the repository version. This is with the hplip that is installed by default in 20.1:

      https://i.imgur.com/cC32OZT.png

    9. OK, if it works for most people who upgrade. In my case using local plugin and sh hplip-3.20.11-plugin.run gives similar output like in your example. So now my HP P1102W is printing and I know what to do in case of similar problems.

    10. So, the bottom line is that the original hplip-X.X.X.run from the HP site and the hplip-X.X.X.deb built for Ubuntu/Mint, with their specific Python dependencies, are different. HP version has more chances to fail if the actual Python version differs from what it expects. Hopefully, this is a side effect of Python 2 to 3 transition and will settle over time. On the other hand, if it compliles successfully on a particular machine, it has better chances to work as expected by HP developers; this is the existing .deb version where recurrent downloads wer blocked for some reason.

      Dynos, keep in mind that your hplip setup is beyond the control of the Mint team now and may require a sort of special attention during further upgrades, especially to Mint 21 in summer 2022.

  83. Hi.
    Perfect, fluently and quickly running Ulyssa. The icons I use to work with are just covering all the bar.
    I don know if it is possible to add a new line for icons. I can create another menu but it is not so good as this all toguether for me. Beautifully rnning LMint2021. Thanks again.
    https://ibb.co/b6zL6x4

  84. Hello everyone, Im not shure if this is an issue: Im located in Melbourne, Australia and it’s been very hot the past two days. I have Linux Mint 20.1 full install on two computers and one full install usb boot. all three computers with different specs. All three setups seems to get very hot quickly. Has anybody else noticed this or is it just me and the hot weather down here? I wonder if this is something that needs to be looked at. Cheers

    1. Basically this appears to be your hardware problem, with improper cooling, misinstalled heatsinks (e.g. too little thermal grease) if they all were mounted by the same hands, etc. The cooling system must provide proper operation of the computer at full power (100% CPU load) at the hottest possible environment where it is assumed to be used, otherwise it is not adequate.

      To relieve the problem quickly, look the System Monitor (or “top” in console) to figure out the processes that consume the most of CPU powre, and stop and disable them if they are not needed. Begin with those in your Start-Up Applications, but they are typically not the top CPU consumers.

      If a web broswer or WebContent is on the top of the list, think about the sites which you visit at that time. These days, many sites run plenty of backgroud Javascrips for their own needs, from annoying you with precisely targeted advertising to silent mining of digital currencies. Install some JS blocking add-on, and/or rerfain from visiting such sites.

  85. If I quit Cinnamon, the Numlock LED is ON but in fact, numlock is off. If I type my password, it doesn’t work, I must press the numlock key third times before it works.

  86. Hi, now a problem.
    I read Num Nutt post and I decided to install the LMint CPU desk mini application. When it was installing there appeared a windows saying something about LMint starting ok but that an application could not be run, and ask me to look in the registry to disable the application. I cant see the buttons to operate the windows (minimize, maximize, close) I have this Firefox tab opened but it is as if the rest of the window border is missing, and I cant see the start menu either, nor main bar. All gone. The Alt+Tab does not work, the desktop borders are not active…. All blocked. I go to recover partition from another disk with gparted I did yesterday. Now I cant do anything at all.

    1. Well… I am in Windows now cause I cant recover partition because Gparted says there is a problem with metadata?… and cant show disks. Now I have to start from zero installing Ulyssa. In the moment i was installing the CPU info desktop mini application the desktop made two flashes and then the problem appeared. It said somethig about llooking at the registry and to the LookingGlass or something like that. Sorry but I could not get more info. I dont know if it has something to do with Elegance Theme I had instlled that become in conflict with the CPU desktop mini applet. All was going perfect till the moment this applet was being installed. The keyboard did not work when pressing Super key, nor Ctrl+Alt*supr, nor Alt+F4… just worked when writting letters, not comands, and the only key that seemed to work properly was the one that launches the Web Browser, close to AltGr key. The mouse was working ok, mouse menus appearing ok, but nothing more working here. In fact i had to close the browser window with right click on left side of window and Exit. The rest of the upper bar of the windows were off. Minimize, maximize, close wern´t there. All was ok till the moment I tried to install the application I said. No start menu. At firt it appeared all ok, but after three or four seconds the desktop flashed, the perfect again, the flashed for a second tie and all was gone. And between the flashes, the reminder small window telling about look in the registry or LookingGlass and the applicaition that could not be started… Let´s see how it goes but a pity all the system working depends just on a simple widget installation. All good for you i wish. Here something went very wrong.

    2. Well… I tried to recover partition from another disk with Gparted and it was unable to continue because of an error he found. Then I tried with MinioolPartition from Windows and booting usb and impossible too. Then I went to Windows and using DiskGenius I could recover the partition after almost 2 hours and I am again in the same LMint point than yesterday. Perfect again. (Cheers! but aware of not doing what I did before) I really dont know why it happened. It was just while installing the mini app.

    3. And a last very Good new.
      After recovering partition with DiskGenius, Gparted now can read the disk and operate onto it. Ok.

  87. Olá equipe do Mint Cinnamon!
    Atualizei do 20 para o 20.1 sem nenhum problema, tranquilo mesmo, conforme opção recomendada no Gerenciador de Atualizações!
    Essa versão 20.1 é sensacional!
    Parabéns!!!

  88. Olá equipe do Mint Cinnamon!
    A atualização do 20 para o 20.1 foi rápida e sem nenhum problema, tranquilo mesmo, a partir o Gerenciador de Atualizações!
    Esta versão 20.1 é sensacional!
    Parabéns!!!

  89. I just upgraded, everything worked as expected, very easy to do thanks to this tutorial. Thank you so much!

  90. Update from 20 to 20.1 worked well using mintUpdate. But I’m missing the new functions: Web Apps Manager and Hypnotics?!? What do I need to do to get those???

  91. OK I’ve Got Linux Mint Cinnamon 20.1(Edge ISO with HWE Kernel 5.8) version and have tried that out on my ASUS TUF FX505DY laptop(Ryzen 5 3550H/Radeon RX560X discrete mobile GPU) and that works fine once I edit the Grub boot to include that: nvme_core.default_ps_max_latency_us=5500 after the quiet splash entry in the Grub Boot settings(Because of that laptop’s WD Black M.2/NVM SSD’s idiosyncratic needs with Linux). So the laptop will boot into Linux Mint 20.1(HWE Kernel 5.8) “Edge” version ISO that I burned onto a USB flash drive.

    So I have that and a note with the nvme(Yada Yada) written down for Live USB Grub editing that I have to type in every time I boot from that live USB. But that’s OK because once I install Mint 20.1 I know how to edit the grub and make that persistent on the installed Mint 20.1(Edge variant). But that Laptop comes with A Realtek WiFi card that will not work without that out of tree Open Source WiFi Driver! But does that driver ship with the ISO or is that pulled down from the default mirror?

    And so I’m looking for a Linux Mint/Linux Kernel(5.8 HWE Kernel) friendly USB WiFi Dongle that I can attach to one the laptop’s USB Ports so I can get connectivity when not at home(I use Ethernet at home and that works out of the Box with the Live Mint 20.1/HWE 5.8 live USB) . But should I need to boot that ASUS laptop on the move and have WiFi connectivity with that Mint 20.1(HWE 5.8) live USB I’ll need a WiFi Dongle that works out of the box with that Mint 20.1(Kernel 5.8 HWE) Live USB and so if anyone has a WiFi Dongle recommendation that wold be appreciated

    I’ve currently got Mint 20.0/Kernel 5.8 and Windows 10/1909 Home installed on that ASUS laptop and am looking to replace the WD M.2/NVMe with with a Samsung M.2/NVMe and also replace the Laptop’s Realtek WiFi card with an Intel WiFi card that’s also Linux Kernel 5.8 friendly from the get go. So I’ll be re-Installing Windows 10(1909 Home edition) on the New Samsung M.2/NVMe and then Installing Mint 20.1(Edge with the 5.8 HWE Kernel) to dual boot alongside Windows 10. And I’ll be happier once the Laptop’s got a larger capacity Samsung M.2/NVMe and Intel WiFi card and it’s good times from then on with that Laptop booted into Mint 20.1 for daily usage and Windows 10 for mostly Offline(Legacy) usage for Applications that are not currently available on Linux.

  92. Hallo, schon seit vielen Linux Mint Installationen funktionier der hp Laserdrucker nicht. Es fehlen immer
    GUI Modules PyQt4 and PyQt5 are not installed

    diese sind aber in der Anwendungsverwaltung zu finden.Könnt ihr das nicht in Mint 21 einbauen ?

    greetz Udo

  93. Since version 20, Audacity has problems. The window isn’t redrawn, unless we resize the window. It happens either in the flathub and the repos versions. Any idea how to fix that?

    Btw, is it possible to update the version of Audicity in the repos? Maybe that could help with this issue.

  94. “Xed can now automatically close brackets when it’s used to edit source code.”
    This seems to be the default. Is there a way to turn it off? I didn’t see an appropriate key in gsettings.

  95. Thank you so very much for all of the work that you do on Linux Mint! I have a question though. I have used Linux Mint for years! Why do you have to do manual upgrades from like 19.3 to 20.0 or even 20.0 to 20.1 now? It used to be done through the Update Manager before Linux Mint 20.0. Thank you for your time!

    1. Well, Clem, you were here some twenty minutes ago — why not answer my question, which is mightily important to me.

    2. Because perhaps Clem has a lot of questions and issues to sort out? Mint has a lot of users, inevitably some people won’t get the answers they want… But hey, keep making demands. I’m sure it’ll get you plenty of help!

  96. I don’t see “Upgrade to Linux Mint 20.1 Ulyssa” in the “Edit” menu of the Update Manager of my Mint 20. What have I done wrong?

    1. You should first get notification that a new mintupdate is available. Once you install that, the “Upgrade to Linux Mint 20.1 Ulyssa” should be available.

    1. Upgrading from Mint 20 to Mint 20.1 will not erase your data. I have dual boot as well and i had no issues. You should nevertheless make a snapshot with timeshift. Better safe than sorry.

  97. Update from 20 to 20.1 went fine. One problem. My android phone is not showing up in filemanager . It is recognized with command lusb. Is this a problem in Nemo ?

  98. Hi ! Great work from the Mint team !

    Just a small issue, the generic driver of my Brother printer is added automatically, even if I installed the specifci driver directly from the Brother website. Is there a way to avoid or to remove definitively this generic driver ?

    Nicolas

  99. Just upgraded went super. What about Gnucash and updating?
    Gnucash said to upgrade from update manager but I don’t see anything.
    Thanks again for your work !!

  100. So, I have upgraded from 20 to 20.1. I have had problems using a second display (a TV). I have not had a problem using a second display (including my TV) for many LM versions.. I am running Cinnamon. This is a new problem!!!

    I am running a 14″ HP laptop. AMD E2-7110 APU with AMD Radeon R2 Graphics × 4

    For example, when I click “Apply”, I get the error

    Failed to apply configuration
    GDBus.Error.org.freedesktop.Dbus.Error.ServiceUnknown The name org.cinnamon.SettingsDaemon.XRANDR_2 was not provide by any service files
    Help! Questions? Drop me a note!

    1. In “Startup Applications” there’s an entry for “Cinnamon Settings Daemon – xrandr” that in 20.0 (and the 19.x series) points to

      /usr/lib/x86_64-linux-gnu/cinnamon-settings-daemon/csd-xrandr

      change that entry to the location used in 20.1

      usr/libexec/csd-xrandr

      save and reboot.

      Hope this helps

    2. SOOO, my computer is up-to-date using mintupdate. I just ran it again!! I also ran apt-get update and apt-get upgrade and nothing changed.
      David is correct concerning “Cinnamon Settings Daemon – xrandr” — it says /usr/lib/x86_64-linux-gnu/cinnamon-settings-daemon/csd-xrandr.
      Clem! It was not fixed (or something). I have changed it as David suggested — and we will see if that fixes my problem

    3. So now everything is working with my display. I can display on my TV Did an update occur?? I do not know….
      Clem was correct!
      There was a symbolic link for xrandr from
      /usr/lib/x86_64-linux-gnu/cinnamon-settings-daemon/csd-xrandr to
      usr/libexec/csd-xrandr

  101. With Luks encrypted partition, boot is stuck till I go to recovery mode and boot. I’m a loyal user of linux mint from 14 onwards. First time I faced an issue with an upgrade. Hope to get it fixed asap. Eager to upgrade to 20.1

    1. Note that Linux Mint has one large gaping security hole: its swap partition is unencrypted, even if you have an encrypted home directory. It’s worse: this security issue is actively being glossed over.

    2. Hi Clem,
      Yes. It worked in 20, but not working in 20.1
      Changing
      GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash”
      to
      GRUB_CMDLINE_LINUX_DEFAULT=””

      worked but shows the terminal logs instead of splash screen. Also password is prompting in the terminal instead of the old nice password box. I upgraded now now working, but love to see the splash screen back

  102. Hi, my cinnamon crashes every minute after upgrade to Linux mint 20.1 all icon’s on panels gone. clock freeze. the mouse can’t any click on panels and I have to open a Nemo window or right-click on the desktop open a terminal then all icon’s back but the clock still freeze and seconds don’t count until restart cinnamon and this happens every 2 minutes even don’t work with my Linux
    Linux mint 20.1 sucks
    how can I revert everything ?

    1. To find the cause: ~/.xsession-errors, or run Cinnamon from terminal “cinnamon –replace”.
      To revert everything: Restore your timeshift backup.

  103. Hi, thanks for the upgrade, but I’ve faced with an issue:
    Default repository is extremely slow for me (less than 10kb/s) but when I’ve tried to use mirrors the updater reset them to defaults. I’ve tried three times with different mirrors without any luck – every time it switched to the default source.
    So here few troubles:
    1. Updater does not warn about slow repository and start upgrade anyway. It’s better to test connection beforehand and warn user if speed is too slow.
    2. Updater ignores exist mirrors and use defaults.

    In my case upgrade become really dangerous and failed several times.

    1. 1. as an immediate workaround, you may edit /etc/apt/sources.list.d/official-package-repositories.list manually. Just change the domain name and leave the other parts of the line untouched.

      2. How do you run the Software Sources, and does it ask you for password at some point? It needs root rights to make changes in the above file. Are you included in the “sudo” group? (The first user registered is included by default, the others don’t.) Try running it from console, it should as for the password immediately.

      3. In any case, the upgrade is not dangerous. If a download fails, it will upgrade whatever it can and leave the failed packages for the next attempt.

    2. Hi iourine,
      Thank you for your reply.
      Yes, I’m able to modify /etc/apt/sources.list.d/official-package-repositories.list using “Software Sources” tool providing my password.
      The issue that the upgrade tool change my mirrors to default values.
      This is my default official-package-repositories.list:
      deb http://packages.linuxmint.com ulyana main upstream import backport
      deb http://archive.ubuntu.com/ubuntu focal main restricted universe multiverse
      deb http://archive.ubuntu.com/ubuntu focal-updates main restricted universe multiverse
      deb http://archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
      deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
      deb http://archive.canonical.com/ubuntu/ focal partner

      After I change it using “Software Sources” tool:
      deb http://www.mirrorservice.org/sites/packages.linuxmint.com/packages ulyana main upstream import backport
      deb http://uk-mirrors.evowise.com/ubuntu focal main restricted universe multiverse
      deb http://uk-mirrors.evowise.com/ubuntu focal-updates main restricted universe multiverse
      deb http://uk-mirrors.evowise.com/ubuntu focal-backports main restricted universe multiverse
      deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
      deb http://archive.canonical.com/ubuntu/ focal partner

      But when I run upgrade it has been modified such way:
      deb http://packages.linuxmint.com ulyssa main upstream import backport #id:linuxmint_main
      deb http://archive.ubuntu.com/ubuntu focal main restricted universe multiverse
      deb http://archive.ubuntu.com/ubuntu focal-updates main restricted universe multiverse
      deb http://archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
      deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
      deb http://archive.canonical.com/ubuntu/ focal partner

      Fortunately this time packages.linuxmint.com were quite fast and upgrade were successful.
      But this looks like a bug to me.

    3. Surely, the upgrade script switches the repositories to the defaults for the new version, because it has now idea of what you are, what your preferred mirrors are, and is the new verion already available at these mirrors. The idea was to switch repositories manually and then do the upgrade as ordinary upgrade of packages (apt update, apt upgrade). This is not the 100% correct way, but in this particular case it works ok.

  104. Had to install 20.0 onto a new partition – Word of advice, updating from 19 to 20 after you’ve manually altered several system files trying to get a computer game to work can have a negative effect on your upgrade! In my case, upgrading absolutely ruined the OS. Thankfully, Timeshift and a Live CD (the Mint 20 media I created) made light work of my error. 20.1 is working great. Like many others I’ve also noticed this slight flicker when logging in before my desktop appears. I didn’t consider it a bug, since it has no bearing on the operation of my OS a second later. Clem, you work wonders! Glad all that “nonsense” with Snapd (and the clueless attention seeking fools on YouTube) didn’t drag you down <3

  105. Clem,

    a few minor bugs after upgrade to 20.1:

    1. The Window List and Show Desktop applets did fail (both simultaneously) a few times during these days, and required restarting them. After restart, they run smoothly again. But there were no such failures in the previous versions. There is an error in the system log apparently related to this:
    “The program ‘wnck-applet’ received an X Window System error…. The error was ‘BadPixmap (invalid Pixmap parameter)’. (Details: serial 454584 error_code 4 request_code 54 (core protocol) minor_code 0)”
    “kernel: traps: wnck-applet[1796] trap int3 ip:7f218359b0d5 sp:7ffdf4e9a920 error:0 in libglib-2.0.so.0.6400.3[7f218355f000+84000]”

    2. There are warnings in the system journal:
    “Configuration file /etc/udev/rules.d/40-libsane.rules is marked executable…”
    “Configuration file /etc/udev/rules.d/S99-2000S1.rules is marked executable….”
    plus a few more errors and warnings in the said files and in 51-android.rules
    Probably this has something to do with the complaints above about scanning problems. The two files mentioned above are both new, of the date of upgrade. Changing their rights to 644 makes no visible effect, scanning does work, only the warnings do not appear anymore.
    In my case (with hplip) scanning works in both cases, however logs an error
    “simple-scan[7604]: common/utils.c 212: unable to load library libm.so: /lib/x86_64-linux-gnu/libm.so: wrong ELF header”
    and a lot of
    “simple-scan[7604]: bb_marvell.c 1311: unable to read data size=667440 hp:/usb/HP_LaserJet_Professional_M1132_MFP…”

  106. Hi,
    Is there any possibility issues existing concerning not recognizing built-in Belgian Azerty keyboard (Dutch, no numeric keyboard aside). Only Qwerty on screen keyboard is working.
    Last 2 weeks spending a lot of time trying to find a solution on Mint and Ubuntu fora, but still unsuccessful.
    Did the LM 20.1 upgrade, still without success…

    My system:
    LM 20.1 Cinnamon 4.8.6, kernel 5.8.0-38 generic
    11th gen Intel Core i5-1135G7
    Graphics: intel Corp device 9a49

    Thx a lot!

    Tomas

  107. Is anyone else having Youtube video play issues on the Edge Kernel Release of Mint as I’m currently on Mint 20 ad using the new Edge Kernel 5.8.0-38 and in Firefox Performance settings I have to make sure that any hardware acceleration is disabled! I’m on FF 84.0.1.

  108. 1. Upgraded from Mint 20 to 20.1.

    Everything SEEMED to go like previous upgrades, right up to rebooting… BLACK SCREEN!
    Argh, this is the first Mint upgrade to do anything strange.

    Then my laptop battery decided it was too old, PUFFED itself up and popped my laptop’s bottom casing off.

    So, had to wait for new laptop battery to come in, which came in today.

    I have utterly ZERO IDEA as to why it gives me the black screen.

    I have decided now was as good a time to add the second m.2 NVME gumstick drive in, and convert the original m.2 NVME drive to strictly a multi-boot drive (was already a multi-boot drive, but this time that old 512GB will only be used for OS’s partitions and timeshift’s partition and winSlop’s 3 partitions…), with the new one being strictly for general file storage.

    ——

    2. Installed a fresh copy of Mint 20.1 into my new config on the old 512GM m.2, ran into a problem I keep forgetting to ask about, the problem is with the CLOCK/CALENDAR/LOCATION settings during the fresh install. I can type in either
    FARGO (and get FARGO North Dakota listed)
    MOORHEAD (and get MOORHEAD Minnesota listed)
    however when I go to click on either one to set my location and time properly, Mint REFUSES… so I end up setting it for Rainy_River (hundreds of miles away) instead

    Both cities are in obviously in there as I can see them, so why can’t we select them?

    3. Screen brightness that I manually set is not staying set, each time I reboot I have to manually reset the brightness level back down to where I need it.

    1. 1. Did you find the battery dead right after reboot? Did the upgrade end with a message about successful completion? I can guess that the battery died at the end of the upgrade process, and you were unlucky enough to be writing the crtitical files and disk areas (kernel, initram, grub) at that time. If so, it is not a Mint issue, it is purely hardware problem. In this case, once the new battery comes in, boot from LiveCD/USB and do fsck on your partition first; chances are that it will restore your previous setup to a working state. (Not very high, however.) More likely, you will have to chroot into your partition (see instruction e.g. at askubuntu.com) and reinstall grub from there.

  109. Hallo bei mir hat upgrade funktioniert (von 20 auf 20.1) alles funktioniert normal
    Lenovo Notebook ideapad Y580 (ca 8 Jahre alt)
    Bin neu in der Linux Welt (kein update auf update und einige Neustart wie bei Microsoft) finde ich sehr gut
    Danke an das Linux Team ihr macht gute arbeit.

  110. it’s Very buggy please fix cinnamon
    my cinnamon crashes every minute after upgrade to Linux mint 20.1 all icon’s on panels gone. clock freeze. the mouse can’t any click on panels and I have to open a Nemo window or right-click on the desktop open a terminal then all icon’s back but the clock still freeze and numbers don’t count until restart cinnamon and this happens every 2 minutes even don’t work with my Linux

    I upload my error file ~/.xsession-errors here: https://easyupload.io/7x2pr2
    it expires after 29 days from 2021-01-16

    1. Danial,

      Looking at your logs here you’re using a lot of 3rd party applets and desklets. I also noticed you’re running shutter.. which no longer is present in Mint 20. You can use Settings -> Applets/Desklets/Extensions to make sure everything is up to date first. I’d also recommend removing all 3rd party xlets and re-enabling them one by one until you find out which one is causing problems. Then when you know which one it is, tell us and we can look into it more in details.

      Regarding shutter, same thing, disable it for a little while to make sure it’s not responsible for this.

  111. I somehow screwed up my new MiniBox Mini 2 Pro op system. I’ve written Compulab for help but have not received any helpful replies (I’m stuck in the auto-relpy system).

    How do I reset or wipe out whatever damage I’ve done and reload the original system? I need a way to reboot and reload to get back to square one. Is there a way to force booting from a usb or some such?

    1. Hi Ron,

      Yes, via the BIOS. I can’t remember which exact key it is for the Mini 2 Pro… it’s usually one of these: Esc, Del, F1, F2, F10, F11 or F12. Press them during the boot to access the BIOS. From there you can override the boot sequence to boot from the USB stick. Once in the live session use boot-repair to repair the boot, or timeshift to access your snapshots and restore the OS.

  112. Ich bekomme eine Fehlermeldung: “Das Depot »http://archive.ubuntu.com/ubuntu ulyana Release« enthält keine Release-Datei.” Ein Upgrade funktioniert nicht. Hat jemand einen Tipp?

    1. Seppl
      Erstens, ein update, ein upgrade und ein download sind nicht das Gleiche, da musst Du dich schlau machen.
      Das Ubuntu -Archiv stellt einen download-link bereit. Wenn Du Hilfe suchst, solltest Du mitteilen, was zurzeit
      auf dem computer installiert ist.
      Siehe; https://www.linuxmintusers.de

  113. Hi,
    I am very happy cause finally I can make CanonLide 70 run. It works very good with Xsane. After modifying the paper size and some other things it fully scan A4 perfect and clear. 150 pp is good too, but 300 is great and above equal brilliant. Great software to change Gamma, colors and bright before scanning. Great.
    I did the following procedure, though before this i installed via Wine the windows driver, and i don know if it affects positivelly the installation or not. (I could install the CanoScan Toolbox Ver5.0 just unzipping the canon software tool for this scanner and running the CSTBox.exe).
    The procedure after that was this:

    sudo apt update

    sudo apt install sane-utils libusb-dev usbutils

    Ad then it was recognized

    lsusb | grep ’04a9′

    from this page:
    https://askubuntu.com/questions/1218905/how-to-install-canoscan-lide-400-scanner-on-ubuntu-18-04-4-lts

    The best thing is that scanner does not start moving nor making any noise before you go to Xsane and click Scan. Perfect.

    1. Well. CSTBox.exe from CanoScan Toolbox Ver5.0 seemed to work but… not. TWAIN source not detected and scanner unabe to start from this Windows programm.
      It fully works with XSane, although I put Gamma to 1.0, Bright to 15 and Contrast to 40, cause there appeared some shadows that were coming deeper from left to right side of the scanned image. With this levels it scan nice all A4 through.

    2. I was scanning in grey scale. Now in coor things are different. I have to look for the best results cause increasing brignt and contrast changes original color. The right side of image is a little darker all the way through, like a band… Well, the person who still have an ancient scanner like this can enjoy playing the game. I stop this now.
      The rest in my system works perfect.

  114. Work perfectly, really enjoy this upgrade, now if you could work on “wine” to easily execute Window programs that would be assume.

    1. I can’t edit or delete entries either. You can go into ~/home/username/.hypnotix/providers and edit these files by hand but it’s kind of a nightmare wading through thousands of entries in a text editor to weed out the ones you do/don’t want. I’ll be happy when the gui editor is working.

  115. Sorry for late response to the awsome support from the Linux Mint Community. It’s all good and the lastest firmware and driver updates have fixed lot’s of issues. One step at a time ! System re install and the latest updates that come through and the open honest communications from the end user’s is important to make the linux operating system the best it can be ! From A to Z and all point’s in between. To the Linux Mint Team Thank You ! To the Ubuntu Team ! Thank You ! The linux Kernel Team ! Thank you ! and the Open Source of Software Developers you all Rock ! ! ! !

  116. Can I upgrade from 20 to 20.1 using the update manager if I have a separate DATA partition (https://community.linuxmint.com/tutorial/view/1609)? Or should I just do a clean install (ref item 6 in https://easylinuxtipsproject.blogspot.com/p/upgrade-mint.html#ID6)??? (The reason I setup the separate DATA partition for 20 is…”Makes re-installions, upgrades and switching distros or desktop environments easier. Just replace the root partition and link back to the untouched data partition — no need to copy all of your data back on after installation.” (These two web pages seem to contradict each other.)

    1. If by data partition you mean a home partition, it should make no difference when you upgrade. The easy linux tips author just sees no reason to have a separate partition. I have a home partition and upgrading went smoothly.

    2. You should backup your root fileaystem and save, e.g., the configuration of the weather applet (if you use it) somehere. That’s it. This update is not a new installation. The basics like the kernel and the Ubuntu base software is kept. Some new versions of applications (like cinnamon) or new applications (like hypnotix) are installed.In your case and after a backup of the root filesystem you are pretty safe against a broken system.

    1. They’re different distributions. You cannot upgrade from LMDE 4 to Mint 20.1. They both have the latest features and Cinnamon desktops though.

  117. Hi Clem: I am an uptight computer perfectionist. Accordingly I always upgrade to the latest version of the kernel.

    Nevertheless I am curious as to why the kernel is updated so frequently. What sort of changes are typically made? Thanks.

  118. Yesterday I answered ‘no’ when prompted in Update Manager to upgrade to LM 20.1. Now Upgrade Manager doesn’t even give me the option to upgrade to 20.1, the only choices in the Edit menu are Preferences, System Snapshot, and Software Sources. I’d rather use Upgrade Manager gui for this upgrade. Is there a way to get the choice back in the upgrade mgr?

    1. I do not remember ever say no to the upgrade, but I still am not getting the choice to upgrade.

  119. No 20.1 is showing in the update manager. I have version 5.7.3 of mint update. This is what my system shows is installed:
    $ hostnamectl
    Static hostname: phillip-Alienware-17
    Icon name: computer-laptop
    Chassis: laptop
    Machine ID: b76cc7b1bbdc489e93909d2043031de8
    Boot ID: feddc2edb48842b98345a0de88f35c41
    Operating System: Linux Mint 20
    Kernel: Linux 5.4.0-64-generic
    Architecture: x86-64

    I am a bit hesitant to use usrmerge as it appears to be a Fedora product.

    1. I have the same problem mint update and mint upgrade are not the latest versions and no matter how many mirrors I try it makes no difference.

  120. it’s what happens to me repeatedly after upgrading my Linux Mint to cinnamon:
    1. Clock freeze
    2. desktop freeze and all icon disappear when I move the mouse on them
    3. I have to show my desktop and then right-click and open a new terminal then all icons back but still, the clock is freeze
    4. so I restart cinnamon and now everything works
    5. after a few minutes then all previous steps happens
    I recorded a video to show the above steps: https://gofile.io/d/bSCQjA
    I upload my error file ~/.xsession-errors here: https://easyupload.io/7x2pr2
    And also I removed out of date applets and not solve my problem

    1. Please use the help-forums for solving problems. The blog is intended to announce news, information and feedback.

  121. Hi

    during the update the configuration of the weather applet was deleted and reset to the default, i.e. the wrong location, the wrong metrics (Fahrenheit, etc.). Be sure to save the settings somewhere

  122. I updated using the advice of Clem and my Linux 20.0 had Google Chrome, Google Chromium, Brave, Opera and Firefox. I also installed the new version of Linux 20.1 in my other laptop and the 2 laps run identical. I am so happy there were no problems. I was going to make a clean install. Does not actually save any time. Since the backup takes a long time. The New Linux 20.1 runs great. Thank You

    1. You have to follow the sequence: Upgrade 19.3 to 20, and then update 20 to 20.1.
      You cannot skip releases.

  123. hello
    I’ve upgraded successfully. I’m new to linux and i like it. If i get music bee to work on linux, i wont be switching to windows all the time.#

  124. Hello,

    I’m using Linuxmint 20 Ulyana.

    When I go to Update Manager -> Edit -> then click on “Upgrade to LinuxMint 20.1 Ulyssa”, the ‘choice’ disappears, but then nothing happens.

    Can you please help ?

    Thanks.

  125. I was following the “Mint v19.3 to v20” upgrade guide (https://www.zdnet.com/article/how-to-upgrade-from-linux-mint-19-3-to-the-latest-version-mint-20/), but got to the point where the command ‘mintupgrade download’ should have been issued, but I was tracking down all the stuff that had been returned after conducting a 1st step ‘mintupgrade check’ cleanup. And, issued a ‘sudo apt upgrade’ instead. The upgrade seems to have been properly conducted, but before I reboot, I want to know if you would explain the abilities of the ‘mintupgrade’ command better? I don’t seem to be able to find it out here, from userland. The concern that I have involves the loss of performance that I’ve ended up with, after having conducted an similar update after conducting a ‘Ubuntu v20.04 to v20.10’ on a primary SSD partition (https://askubuntu.com/questions/1309143/ubuntu-20-04-1-lts-20-04-cinnamon-replace-sucking-up-55-65-of-an-idle-cpus). As ‘Ivan says’ (www.techsolveprac.com/upgrade-linux-mint/) “after some further investigations about the upgrade process is that the display driver wont be changed itself.”

  126. My system says I can upgrade to Linux Mint 19.3 Tricia. I presume that I should do that first before upgrading to 20.1 (Cinnamon) I’m a noobie. Do I have to upgrade? Do I have to upgrade before Mint Cinnamon version 21? What do you guys recommend? Thanks for a wonderful computer system.
    Morten

    1. Hi Morten: You never have to upgrade. However, you must upgrade to 19.3 before getting any later versions.

      I am sticking with 19.3 until version 20.3 becomes available (I am a dot three strategy person).

  127. Mint 20.1 – I have an nvidia card and an UHD 630 igp. I use Nvidia Prime to switch between Nvidia and Intel. Occasionally I boot the system without an active monitor (I share a monitor with my laptop and sometimes have it switched to the laptop) when this happens I lose Nvidia Prime and the NViida card and don’t know how to get them back. When this happens when I run nvidia-prime I get the msg: ‘ Aborting: prime not supported – is this a prime laptop and do you have nvidia drivers installed?’. At this point I have to do a system restore .. very inconvenient. Any Ideas?

  128. Ran the upgrade install today. Simple, quick, and easy. No reconfiguration trouble. Thought it would break my Kodi build (Xanax) – but no,all is well.

    Thanks so much – J.D.

    Intel© Core™ i5-2300 CPU @ 2.80GHz × 4 and GeForce GTX 750 Ti

  129. Hi everyone,
    I am running Linux 20.1 Cinnamon and I have a strange behavior at login after a shutdown: The default background picture appears briefly, then my own selected picture is shown upside down. After signing it is turned back to normal and everything works as it should. Not very bothering but I do not know how to correct this.

  130. My pc loves new OS, it moves fast, last time try linux mint 4 years ago, was not ready, now on 24 cores, 64gb ram, running heavy loads on multiple VM on Vmware workstation its amazing, even cinebench in wine give me 260 more cpu points than win 10.

    Love my new linux pc. Thank you linux mint team.

  131. O.K This is something that could be important ? I’ve got Linux Mint 20.1 installed on two computers and one full install on usb boot. The generic system boot after 20 seconds does up system update ? looking for updates, then states system is up to date when it is not up to date ! If you hit update refresh after that theres updates that the update manager does not pick up on, Why ? Kernel, Software and security updates all mist ? If the update manager does not do an update refresh first then all critcal up dates are all all mist ? including system upgrades ! Cheers, I think this needs to fixed. NUM NUTT

    1. I noticed the same behaviour. I went into the “Edit/preferences” and changed “First refresh the list of updates ” from 10 minutes to 1 minute”, then rebooted, which is not quite the fix you asked for but they do then appear after a minute

  132. Upgraded my Dell M5040, a very slow laptop, from LM20 to LM20.1. Only took 25 minutes. Easy, no problems, well impressed.

  133. Hi everyone,
    I’ve got a strange problem: The network manager is crashed, I reboot it, but nothing happened. Can I reinstall the network manager without internet? Or must I reinstall the whole system? Has anyone a idea? I use Linux Mint 20.0 and want upgrade it to 20.1.

  134. To work with multiple documents I regularly use a second monitor.
    It appears that often new windows are automatically opened on the second screen in stead of on the primary screen, while I don’t want them there. This behaviour seems to be more or less random and is not practical.
    For the rest I am very pleased with version 20.1.

  135. I use Linux for my activities at Denver Group Limited. It has really helped me and I hope the new update will be much better. Thank you guys

  136. HI. I like the windows effects, but the demaximisation zoom effect is not working…. Is there one solution to correct this issue ?

  137. I wanted nothing more than to ditch Microsoft Windows 10 and its irritating forced updates (which constantly interfere with my workflow).

    So, I tried your Linux Mint 20.1 Cinnamon edition in the hope of finding a real alternative. I also have a few old Windows 7 machines that I had hoped to switch over to Linux if this experiment worked out. Unfortunately, it didn’t. The particular laptop I installed Mint on is a circa 2016 model of the Dell 15 3552, which originally came packaged with Windows 10 out of the box. The machine is an economical model, which sold in the hundreds of thousands, if not millions, all over the globe. Everything about it is standard. So, the OS should have worked in every respect. It didn’t.

    The brightness control buttons were the first thing to not operate properly. There was also no easily accessible slider or anything else to control screen brightness. That was the deficiency I discovered, but the default screen was so dark that I couldn’t easily work with the machine at all. There may be a lot more defects in Mint 20.1 than I found. Based on the defect on such a basic function, there probably are many more defects.

    If I were a hacker-type guy, who fixes computers for a living, or simply likes to play with computers for fun, maybe I wouldn’t mind endlessly trying to download supplemental software to cure the fundamental deficiencies of the OS. However, consuming lots of hours figuring out how to compensate for deficiencies is not for me. A layman using computers in a non-computer related field (for work) and for watching videos and photos (for pleasure), Linux Mint 20.1 needs something that simply works, like MS Windows does.

    Unfortunately, this version of Mint (and, I suspect, all other versions of Linux) is quite user unfriendly. Regular users like myself have no choice but to return to MS Windows. I didn’t want to, but I cannot afford to spend countless hours playing with an operating system in the hope of making it work. If it does not work, out of the box, it is not something I can use. Until you make this OS operate properly, from the getgo, you will stay hemmed in, corralled into a tiny corner of the market.
    You stand no chance against Windows in the marketplace, even if continue to price your product at $0.00. That’s because time is money, and the amount of time required to make this OS work is very costly. On the other end, if you ever did manage to get this thing to work properly, you could provide a demo, and then sell it to people like me who are fed up with Microsoft. But, right now, nothing is going to get this OS onto my system, or the systems of 99.9% of other computer users. It simply doesn’t work for the average Joe.

    I hate to be so negative, but it’s the truth…

    1. I’m not a pro whatsoever, but I saw your post. I jumped from Win10 completely to Mint18.4 for the same reasons and much more. I’m sorry your experience was poor, as mine was surprisingly smooth and successful – so much so, that I bought a second, more powerful PC at a great price and installed Mint after I nuked Win10 before ever booting up. I may, of course, have simply been lucky.

      Note please that I am not dual booting. The Widows based programs I still need run in Win7 in a Virtual machine. I have had rather less luck with WINE. There are things I miss, but nothing I cant easily work around. I’m glad I could finally make the jump – Would Recommend.

    2. Try Menu (bottom far left)/All Applications/Applets/Brightness and Gamma Applet. Use Download then Manage.
      Hope it works for you.

    3. Did you ever try F12 to increase brightness? Not saying it would have worked, but according to the manual, that is a keyboard shortcut for increasing brightness on that machine. And if it doesn’t work, try Fn+F12 depending on the state of the Fn key lock.

  138. Upgraded a Dell Optiplex 780 from 20.0 to 20.1 Mate
    No problems.Works just fine.
    I have tried quite a few distros and this one is by far the best.

  139. I still do not have the update option appearing under edit. My mintupdate is still only 5.7.2 which it says is the latest version (i.e. not 5.7.3 or higher as indicated here) and my mint-upgrade-info is only 1.1.6 which it says is the latest (i.e. not 1.1.7 or higher as indicated here ).

    I have tried more than 1/2 dozen mirrors in 3 different countries, NOTHING.

    Any suggestion?

  140. Did a clean install of LM20.0 on a 2010 vintage HP desktop in anticipation of using the latest version of the OS for some years to come. Originally installed LM19.3 as a test run as I needed a 64 bit machine to use a new astronomy app. (Existing desktop is only 32 bit running LM17.3 Rosa quite successfully for past several years). On the 2010 machine, every so often the screen display suddenly gets corrupted and the 64 bit machine freezes. Powering off is the only option. Hoped LM20.0 might have resolved the issue but sadly not. Used the update link last week to update to LM20.1. All went well. No issues during update. However the screen distortion/PC freezing issue remains. Think it relates to display issues but not 100% certain. Have now found a download of LM17.3 for 64 bit machines, so may bite the bullet and wipe LM20.1 and try the earlier version and see if it behaves on that PC.

  141. Hi I have just started using linux mint however i have used other distros like ubuntu. Can someone please tell me how I would be able to check what system version I am currently on. I am on linux mint as mentioned above and would like to update to the new version

  142. I ask this same two questions I have asked before, I was ready to send a check, until we discovered two issues with Mint 20,
    Libre Office will not print more than one copy.
    Chirp a HAM Radio software that comes with Linux will not work in Mint 20.
    Have these problems been corrected?

  143. upgraded to 19.3 mint to upgrade to 20.1. the new “system report” apt in 19.3 started pointing me to a upgrade to 20.1 and i was always directed to this page. I never saw the upgrade to 20.1 in the Edit drop down menu in update manager. After several refreshes and tries in the update manager i lost the ability to get in to the repository’s but did manage to set them to default as in instructed.Lost local mirror option too. ” ‘ (5.7.3 or higher) and mint-upgrade-info (1.1.7 or higher) and restart the Update Manager by launching it again from the applications menu.” “Everything checks out there. “If the latest versions of mintupdate and mint-upgrade-info are not yet available in your mirrors, switch to the default repositories.”” Been there done that. No upgrade for me. Thanks in advance if you could help.

  144. Excuse me, i’am new on linux, Will updating erase all data? Like reinstalling? i have only 20gb storage on my dualboot linux, which 4gbs left. Is it enough to create all backup from my storage?

  145. Not a walk in the park. Even with a good cable connection this will take 75 minutes. It will take you less time to d/l the 20.0 ISO, burn it to a USB stick, and then install from that.
    Do NOT do this if you also already have Linux on another HDD hooked up in the same machine — It may bork both your install’s — I was stuck with Grub Rescue> on both installs

  146. Please take note my HP laserjet 1018 printer is not working since I upgraded my OS to Linux Mint 20.1. Kindly suggest me ways to solve this problem.

Leave a Reply to LiquidIce32 Cancel reply

Your email address will not be published. Required fields are marked *